import org.gradle.api.GradleException

fun getDesktopOs(): String {
    val hostOs = System.getProperty("os.name")
    return when {
        hostOs.startsWith("Mac OS") -> "macos"
        hostOs.startsWith("Linux") -> "linux"
        hostOs.startsWith("Windows") -> "windows"
        else -> throw GradleException("Host OS $hostOs is not supported")
    }
}

fun getDesktopArch(): String {
    return when (val hostArch = System.getProperty("os.arch")) {
        "aarch64" -> "arm64"
        "x86_64",
        "amd64" -> "x64"
        else -> throw GradleException("Host architecture $hostArch is not supported")
    }
}

fun getDesktopTarget(): String {
    return "${getDesktopOs()}-${getDesktopArch()}"
}