#include <oboe/Oboe.h>
#include <math.h>
#include "SampleBuffer.h"

#ifndef android_audio_engine
#define android_audio_engine

class AudioEngine: public oboe::AudioStreamDataCallback {
public:
    AudioEngine(oboe::Direction direction);

    virtual ~AudioEngine() = default;

    int32_t start(int deviceId, int sampleRate, int channels, bool isLowLatency);
    int writeSamples(const short *samples, int numSamples, long streamId);
    int readSamples(short *samples, int numSamples);
    int getVacancy(long streamId);
    int getStreamPosition(long streamId);
    int getBufferSize();
    int32_t stop();
    oboe::DataCallbackResult onAudioReady(oboe::AudioStream *oboeStream, void *audioData, int32_t numFrames) override;

private:
    oboe::Direction direction;
    int channels;
    int sampleRate;

    std::mutex mLock;
    std::shared_ptr<oboe::AudioStream> mStream;
    std::shared_ptr<SampleBuffer> sampleBuffer;
};

#endif