#ifndef android_audio_sample_buffer
#define android_audio_sample_buffer

class SampleBuffer {
public:

    SampleBuffer(int capacity);
    ~SampleBuffer();

    int writeSamples(const short *input, int numFrames, long streamId);
    int readSamples(short *output, int numFrames);
    short *getSamples();
    int getCapacity() const;
    int getBufferSize();
    int getStreamPosition(long streamId);
    bool isFilled() const;

private:

    int capacity;
    int bufferSize;
    short *buffer;
    std::unordered_map<long, int> positions;
};

#endif