#include <jni.h>

#ifndef android_audio_jni
#define android_audio_jni
#ifdef __cplusplus
extern "C" {
#endif

/*
 * Class:     Java_nand_apps_chat_audio_AndroidAudioNative
 * Method:    initEngine
 * Signature: (Z)J
 */
JNIEXPORT jlong JNICALL Java_nand_apps_chat_audio_AndroidAudioNative_initEngine
  (JNIEnv *, jclass, jboolean);
  
/*
 * Class:     Java_nand_apps_chat_audio_AndroidAudioNative
 * Method:    startEngine
 * Signature: (JIIIZ)I
 */
JNIEXPORT jint JNICALL Java_nand_apps_chat_audio_AndroidAudioNative_startEngine
  (JNIEnv *, jclass, jlong, jint, jint, jint, jboolean);
  
/*
 * Class:     Java_nand_apps_chat_audio_AndroidAudioNative
 * Method:    writeSamples
 * Signature: (J[SJ)I
 */
JNIEXPORT jint JNICALL Java_nand_apps_chat_audio_AndroidAudioNative_writeSamples
  (JNIEnv *, jclass, jlong, jshortArray, jlong);
  
/*
 * Class:     Java_nand_apps_chat_audio_AndroidAudioNative
 * Method:    readSamples
 * Signature: (J[S)I
 */
JNIEXPORT jint JNICALL Java_nand_apps_chat_audio_AndroidAudioNative_readSamples
  (JNIEnv *, jclass, jlong, jshortArray);

/*
 * Class:     Java_nand_apps_chat_audio_AndroidAudioNative
 * Method:    getVacancy
 * Signature: (JJ)I
 */
JNIEXPORT jint JNICALL Java_nand_apps_chat_audio_AndroidAudioNative_getVacancy
  (JNIEnv *, jclass, jlong, jlong);
  
/*
 * Class:     Java_nand_apps_chat_audio_AndroidAudioNative
 * Method:    getStreamPosition
 * Signature: (J)I
 */
JNIEXPORT jint JNICALL Java_nand_apps_chat_audio_AndroidAudioNative_getBufferSize
  (JNIEnv *, jclass, jlong);
  
/*
 * Class:     Java_nand_apps_chat_audio_AndroidAudioNative
 * Method:    getStreamPosition
 * Signature: (JJ)I
 */
JNIEXPORT jint JNICALL Java_nand_apps_chat_audio_AndroidAudioNative_getStreamPosition
  (JNIEnv *, jclass, jlong, jlong);
  
/*
 * Class:     Java_nand_apps_chat_audio_AndroidAudioNative
 * Method:    setInputCallback
 * Signature: (JLnand/apps/chat/audio/AndroidAudioInputCallback;)V
 */
JNIEXPORT void JNICALL Java_nand_apps_chat_audio_AndroidAudioNative_setInputCallback
  (JNIEnv *, jclass, jlong, jobject);
  
/*
 * Class:     Java_nand_apps_chat_audio_AndroidAudioNative
 * Method:    stopEngine
 * Signature: (J)I
 */
JNIEXPORT jint JNICALL Java_nand_apps_chat_audio_AndroidAudioNative_stopEngine
  (JNIEnv *, jclass, jlong);
  
/*
 * Class:     Java_nand_apps_chat_audio_AndroidAudioNative
 * Method:    destroyEngine
 * Signature: (J)I
 */
JNIEXPORT void JNICALL Java_nand_apps_chat_audio_AndroidAudioNative_destroyEngine
  (JNIEnv *, jclass, jlong);

#ifdef __cplusplus
}
#endif
#endif
