#include <jni.h>

#ifndef opus_jni
#define opus_jni
#ifdef __cplusplus
extern "C" {
#endif

/*
 * Class:     nand_apps_opus_OpusNative
 * Method:    encodeToFile
 * Signature: (Lnand/apps/opus/OpusWavContainer;ILjava/lang/String;)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_opus_OpusNative_encodeToFile
  (JNIEnv *, jclass, jobject, jint, jstring);

/*
 * Class:     nand_apps_opus_OpusNative
 * Method:    openFileReader
 * Signature: (Ljava/lang/String;)J
 */
JNIEXPORT jlong JNICALL Java_nand_apps_opus_OpusNative_openFileReader
  (JNIEnv *, jclass, jstring);
  
/*
 * Class:     nand_apps_opus_OpusNative
 * Method:    openMemoryReader
 * Signature: ([B)J
 */
JNIEXPORT jlong JNICALL Java_nand_apps_opus_OpusNative_openMemoryReader
  (JNIEnv *, jclass, jbyteArray);
  
/*
 * Class:     nand_apps_opus_OpusNative
 * Method:    getSampleCount
 * Signature: (J)J
 */
JNIEXPORT jlong JNICALL Java_nand_apps_opus_OpusNative_getSampleCount
  (JNIEnv *, jclass, jlong);
  
/*
 * Class:     nand_apps_opus_OpusNative
 * Method:    getSamplePosition
 * Signature: (J)J
 */
JNIEXPORT jlong JNICALL Java_nand_apps_opus_OpusNative_getSamplePosition
  (JNIEnv *, jclass, jlong);
  
/*
 * Class:     nand_apps_opus_OpusNative
 * Method:    seekTo
 * Signature: (JJ)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_opus_OpusNative_seekTo
  (JNIEnv *, jclass, jlong, jlong);
  
/*
 * Class:     nand_apps_opus_OpusNative
 * Method:    readSamples
 * Signature: (J[SII)I
 */
JNIEXPORT jint JNICALL Java_nand_apps_opus_OpusNative_readSamples
  (JNIEnv *, jclass, jlong, jshortArray, jint, jint);
  
/*
 * Class:     nand_apps_opus_OpusNative
 * Method:    closeReader
 * Signature: (J)V
 */
JNIEXPORT void JNICALL Java_nand_apps_opus_OpusNative_closeReader
  (JNIEnv *, jclass, jlong);
  
/*
 * Class:     nand_apps_opus_OpusNative
 * Method:    openFileWriter
 * Signature: (Ljava/lang/String;III)J
 */
JNIEXPORT jlong JNICALL Java_nand_apps_opus_OpusNative_openFileWriter
  (JNIEnv *, jclass, jstring, jint, jint, jint);
  
/*
 * Class:     nand_apps_opus_OpusNative
 * Method:    writeSamples
 * Signature: (J[SII)I
 */
JNIEXPORT jint JNICALL Java_nand_apps_opus_OpusNative_writeSamples
  (JNIEnv *, jclass, jlong, jshortArray, jint, jint);
  
/*
 * Class:     nand_apps_opus_OpusNative
 * Method:    closeWriter
 * Signature: (J)V
 */
JNIEXPORT void JNICALL Java_nand_apps_opus_OpusNative_closeWriter
  (JNIEnv *, jclass, jlong);

#ifdef __cplusplus
}
#endif
#endif
