#include <soxr.h>
#include <soxr-lsr.h>
#include <stdlib.h>

#include "soxrjni.h"

jshortArray Java_nand_apps_soxr_SoxrNative_resample(JNIEnv *env, jclass, jshortArray samples, jint channels, jint inputRate, jint outputRate, jint quality) {

    jshort *sInput = env->GetShortArrayElements(samples, NULL);
    int inputLen = env->GetArrayLength(samples);
    
    float *fInput = (float*) malloc(sizeof(*fInput) * inputLen);
    src_short_to_float_array(sInput, fInput, inputLen);
    
    float scale = (float) outputRate / inputRate;
    size_t outputLen = (size_t)((int) ((inputLen * scale) + .5));
    float *fOutput = (float*) malloc(sizeof(*fOutput) * outputLen);

    size_t odone;
    soxr_quality_spec_t qspec = soxr_quality_spec(quality, 0);
    soxr_error_t error = soxr_oneshot(inputRate, outputRate, channels,
        fInput, inputLen / channels, NULL,
        fOutput, outputLen / channels, &odone,
        NULL, &qspec, NULL);
        
    env->ReleaseShortArrayElements(samples, sInput, 0);
    free(fInput);
    
    jshortArray result = NULL;
    if (error == 0) {
        int doneLength = odone * channels;
        short *sOutput = (short*) malloc(doneLength * sizeof(short));
        src_float_to_short_array(fOutput, sOutput, doneLength);
    
        result = env->NewShortArray(doneLength);
        env->SetShortArrayRegion(result, 0, doneLength, (jshort*) sOutput);
        
        free(sOutput);
    }
    free(fOutput);
    return result;
}