#include <jni.h>

#ifndef jtox_av
#define jtox_av
#ifdef __cplusplus
extern "C" {
#endif

/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    initAv
 * Signature: (J)J
 */
JNIEXPORT jlong JNICALL Java_nand_apps_tox_ToxNative_initAv
  (JNIEnv *, jclass, jlong);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    destroyAv
 * Signature: (J)V
 */
JNIEXPORT void JNICALL Java_nand_apps_tox_ToxNative_destroyAv
  (JNIEnv *, jclass, jlong);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    iterateAudio
 * Signature: (J)I
 */
JNIEXPORT jint JNICALL Java_nand_apps_tox_ToxNative_iterateAudio
  (JNIEnv *, jclass, jlong);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    startCall
 * Signature: (JIII)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_startCall
  (JNIEnv *, jclass, jlong, jint, jint, jint);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    answerCall
 * Signature: (JIII)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_answerCall
  (JNIEnv *, jclass, jlong, jint, jint, jint);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    sendCallControl
 * Signature: (JII)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_sendCallControl
  (JNIEnv *, jclass, jlong, jint, jint);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    sendAudioFrame
 * Signature: (JI[SII)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_sendAudioFrame
  (JNIEnv *, jclass, jlong, jint, jshortArray, jint, jint);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    sendAudioBitRate
 * Signature: (JII)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_sendAudioBitRate
  (JNIEnv *, jclass, jlong, jint, jint);
  
#ifdef __cplusplus
}
#endif
#endif