#include <jni.h>

#ifndef jtox_conferences
#define jtox_conferences
#ifdef __cplusplus
extern "C" {
#endif

/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    getConferenceList
 * Signature: (J)[Lnand/apps/tox/ToxGroupData;
 */
JNIEXPORT jobjectArray JNICALL Java_nand_apps_tox_ToxNative_getConferenceList
  (JNIEnv *, jclass, jlong);

/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    getConferencePeerList
 * Signature: (JI)[Lnand/apps/tox/ToxUserData;
 */
JNIEXPORT jobjectArray JNICALL Java_nand_apps_tox_ToxNative_getConferencePeerList
  (JNIEnv *, jclass, jlong, jint);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    createConference
 * Signature: (J[BI)Lnand/apps/tox/ToxGroupData;
 */
JNIEXPORT jobject JNICALL Java_nand_apps_tox_ToxNative_createConference
  (JNIEnv *, jclass, jlong, jbyteArray, jint);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    setConferenceTitle
 * Signature: (JI[B)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_setConferenceTitle
  (JNIEnv *, jclass, jlong, jint, jbyteArray);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    setConferenceAudioEnabled
 * Signature: (JIZ)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_setConferenceAudioEnabled
  (JNIEnv *, jclass, jlong, jint, jboolean);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    isConferenceAudioEnabled
 * Signature: (JI)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_isConferenceAudioEnabled
  (JNIEnv *, jclass, jlong, jint);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    sendConferenceMessage
 * Signature: (JI[BI)V
 */
JNIEXPORT void JNICALL Java_nand_apps_tox_ToxNative_sendConferenceMessage
  (JNIEnv *, jclass, jlong, jint, jbyteArray, jint);

/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    sendConferenceAudioFrame
 * Signature: (JI[SII)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_sendConferenceAudioFrame
  (JNIEnv *, jclass, jlong, jint, jshortArray, jint, jint);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    sendConferenceInvite
 * Signature: (JII)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_sendConferenceInvite
  (JNIEnv *, jclass, jlong, jint, jint);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    acceptConferenceInvite
 * Signature: (JI[B)Lnand/apps/tox/ToxGroupData;
 */
JNIEXPORT jobject JNICALL Java_nand_apps_tox_ToxNative_acceptConferenceInvite
  (JNIEnv *, jclass, jlong, jint, jint, jbyteArray);
  
/*
* Class:     nand_apps_tox_ToxNative
* Method:    removeConference
* Signature: (JI)Z
*/
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_removeConference
  (JNIEnv *, jclass, jlong, jint);
  
#ifdef __cplusplus
}
#endif
#endif