#include <jni.h>

#ifndef jtox_core
#define jtox_core
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    initTox
 * Signature: ([BLnand/apps/tox/ToxInitOptions;Lnand/apps/tox/ToxLogger;)Lnand/apps/tox/ToxInitResult;
 */
JNIEXPORT jobject JNICALL Java_nand_apps_tox_ToxNative_initTox
  (JNIEnv *, jclass, jbyteArray, jobject, jobject);

/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    destroyTox
 * Signature: (J)V
 */
JNIEXPORT void JNICALL Java_nand_apps_tox_ToxNative_destroyTox
  (JNIEnv *, jclass, jlong);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    getConstants
 * Signature: ()Lnand/apps/tox/ToxConstants;
 */
JNIEXPORT jobject JNICALL Java_nand_apps_tox_ToxNative_getConstants
  (JNIEnv *, jclass);

/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    registerCallbacks
 * Signature: (JJLnand/apps/tox/ToxCallback;)V
 */
JNIEXPORT void JNICALL Java_nand_apps_tox_ToxNative_registerCallbacks
  (JNIEnv *, jclass, jlong, jlong, jobject);

/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    iterate
 * Signature: (J)I
 */
JNIEXPORT jint JNICALL Java_nand_apps_tox_ToxNative_iterate
  (JNIEnv *, jclass, jlong);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    getSaveData
 * Signature: (J)[B
 */
JNIEXPORT jbyteArray JNICALL Java_nand_apps_tox_ToxNative_getSaveData
  (JNIEnv *, jclass, jlong);

#ifdef __cplusplus
}
#endif
#endif
