#include <jni.h>

#ifndef jtox_encryption
#define jtox_encryption
#ifdef __cplusplus
extern "C" {
#endif

/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    hash
 * Signature: ([B)[B
 */
JNIEXPORT jbyteArray JNICALL Java_nand_apps_tox_ToxNative_hash
  (JNIEnv *, jclass, jbyteArray);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    createPassKey
 * Signature: ([B[B)J
 */
JNIEXPORT jlong JNICALL Java_nand_apps_tox_ToxNative_createPassKey
  (JNIEnv *, jclass, jbyteArray, jbyteArray);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    freePassKey
 * Signature: (J)V
 */
JNIEXPORT void JNICALL Java_nand_apps_tox_ToxNative_freePassKey
  (JNIEnv *, jclass, jlong);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    encryptWithPassKey
 * Signature: (J[B)[B
 */
JNIEXPORT jbyteArray JNICALL Java_nand_apps_tox_ToxNative_encryptWithPassKey
  (JNIEnv *, jclass, jlong, jbyteArray);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    decryptWithPassKey
 * Signature: (J[B)[B
 */
JNIEXPORT jbyteArray JNICALL Java_nand_apps_tox_ToxNative_decryptWithPassKey
  (JNIEnv *, jclass, jlong, jbyteArray);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    isEncrypted
 * Signature: ([B)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_isEncrypted
  (JNIEnv *, jclass, jbyteArray);
  
#ifdef __cplusplus
}
#endif
#endif