#include <jni.h>

#ifndef jtox_friends
#define jtox_friends
#ifdef __cplusplus
extern "C" {
#endif

/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    getFriendList
 * Signature: (J)[Lnand/apps/tox/ToxUserData;
 */
JNIEXPORT jobjectArray JNICALL Java_nand_apps_tox_ToxNative_getFriendList
  (JNIEnv *, jclass, jlong);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    sendFriendRequest
 * Signature: (J[B[B)I
 */
JNIEXPORT jint JNICALL Java_nand_apps_tox_ToxNative_sendFriendRequest
  (JNIEnv *, jclass, jlong, jbyteArray, jbyteArray);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    acceptFriendRequest
 * Signature: (J[B)I
 */
JNIEXPORT jint JNICALL Java_nand_apps_tox_ToxNative_acceptFriendRequest
  (JNIEnv *, jclass, jlong, jbyteArray);
  
/*
* Class:     nand_apps_tox_ToxNative
* Method:    removeFriend
* Signature: (JI)Z
*/
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_removeFriend
  (JNIEnv *, jclass, jlong, jint);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    sendFriendMessage
 * Signature: (JI[BI)I
 */
JNIEXPORT jint JNICALL Java_nand_apps_tox_ToxNative_sendFriendMessage
  (JNIEnv *, jclass, jlong, jint, jbyteArray, jint);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    sendFriendPacket
 * Signature: (JI[B)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_sendFriendPacket
  (JNIEnv *, jclass, jlong, jint, jbyteArray);
  
#ifdef __cplusplus
}
#endif
#endif