#include <jni.h>

#ifndef jtox_groups
#define jtox_groups
#ifdef __cplusplus
extern "C" {
#endif

jobject getGroupPeerData(JNIEnv *env, Tox *tox, int groupNum, int peerId);

jobject getGroupSelfPeerData(JNIEnv *env, Tox *tox, int groupNum);

/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    getGroupList
 * Signature: (J)[Lnand/apps/tox/ToxGroupData;
 */
JNIEXPORT jobjectArray JNICALL Java_nand_apps_tox_ToxNative_getGroupList
  (JNIEnv *, jclass, jlong);
  
/*
* Class:     nand_apps_tox_ToxNative
* Method:    createGroup
* Signature: (JI[B[B)Lnand/apps/tox/ToxGroupData;
*/
JNIEXPORT jobject JNICALL Java_nand_apps_tox_ToxNative_createGroup
  (JNIEnv *, jclass, jlong, jint, jbyteArray, jbyteArray);
  
/*
* Class:     nand_apps_tox_ToxNative
* Method:    joinGroup
* Signature: (J[B[B[B)I
*/
JNIEXPORT jint JNICALL Java_nand_apps_tox_ToxNative_joinGroup
  (JNIEnv *, jclass, jlong, jbyteArray, jbyteArray, jbyteArray);
  
/*
* Class:     nand_apps_tox_ToxNative
* Method:    getGroupSelfPeerData
* Signature: (JI)Lnand/apps/tox/ToxUserData;
*/
JNIEXPORT jobject JNICALL Java_nand_apps_tox_ToxNative_getGroupSelfPeerData
  (JNIEnv *, jclass, jlong, jint);
  
/*
* Class:     nand_apps_tox_ToxNative
* Method:    getGroupPeerData
* Signature: (JI[I)[Lnand/apps/tox/ToxUserData;
*/
JNIEXPORT jobjectArray JNICALL Java_nand_apps_tox_ToxNative_getGroupPeerData
  (JNIEnv *, jclass, jlong, jint, jintArray);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    setGroupTopic
 * Signature: (JI[B)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_setGroupTopic
  (JNIEnv *, jclass, jlong, jint, jbyteArray);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    setGroupPassword
 * Signature: (JI[B)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_setGroupPassword
  (JNIEnv *, jclass, jlong, jint, jbyteArray);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    setGroupNickname
 * Signature: (JI[B)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_setGroupNickname
  (JNIEnv *, jclass, jlong, jint, jbyteArray);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    sendGroupMessage
 * Signature: (JI[BI)V
 */
JNIEXPORT void JNICALL Java_nand_apps_tox_ToxNative_sendGroupMessage
  (JNIEnv *, jclass, jlong, jint, jbyteArray, jint);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    sendGroupPacket
 * Signature: (JI[B)V
 */
JNIEXPORT void JNICALL Java_nand_apps_tox_ToxNative_sendGroupPacket
  (JNIEnv *, jclass, jlong, jint, jbyteArray);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    sendPeerPacket
 * Signature: (JII[B)V
 */
JNIEXPORT void JNICALL Java_nand_apps_tox_ToxNative_sendPeerPacket
  (JNIEnv *, jclass, jlong, jint, jint, jbyteArray);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    sendGroupInvite
 * Signature: (JII)Z
 */
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_sendGroupInvite
  (JNIEnv *, jclass, jlong, jint, jint);
  
/*
 * Class:     nand_apps_tox_ToxNative
 * Method:    acceptGroupInvite
 * Signature: (JI[B[B[B)Lnand/apps/tox/ToxGroupData;
 */
JNIEXPORT jobject JNICALL Java_nand_apps_tox_ToxNative_acceptGroupInvite
  (JNIEnv *, jclass, jlong, jint, jbyteArray, jbyteArray, jbyteArray);
  
/*
* Class:     nand_apps_tox_ToxNative
* Method:    setGroupRole
* Signature: (JIII)Z
*/
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_setGroupRole
  (JNIEnv *, jclass, jlong, jint, jint, jint);
  
/*
* Class:     nand_apps_tox_ToxNative
* Method:    kickGroupPeer
* Signature: (JII)Z
*/
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_kickGroupPeer
  (JNIEnv *, jclass, jlong, jint, jint);
  
/*
* Class:     nand_apps_tox_ToxNative
* Method:    setGroupPeerIgnore
* Signature: (JIIZ)Z
*/
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_setGroupPeerIgnore
  (JNIEnv *, jclass, jlong, jint, jint, jboolean);
  
/*
* Class:     nand_apps_tox_ToxNative
* Method:    reconnectGroup
* Signature: (JI)Z
*/
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_reconnectGroup
(JNIEnv *, jclass, jlong, jint);
  
/*
* Class:     nand_apps_tox_ToxNative
* Method:    disconnectGroup
* Signature: (JI)Z
*/
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_disconnectGroup
  (JNIEnv *, jclass, jlong, jint);
  
/*
* Class:     nand_apps_tox_ToxNative
* Method:    isGroupConnected
* Signature: (JI)Z
*/
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_isGroupConnected
  (JNIEnv *, jclass, jlong, jint);
  
/*
* Class:     nand_apps_tox_ToxNative
* Method:    removeGroup
* Signature: (JI[B)Z
*/
JNIEXPORT jboolean JNICALL Java_nand_apps_tox_ToxNative_removeGroup
  (JNIEnv *, jclass, jlong, jint, jbyteArray);
  
#ifdef __cplusplus
}
#endif
#endif