#include <jni.h>
#include <string.h>
#include <stdio.h>

#include "logger.h"
#include "util.h"

void onLogMessage(Tox *tox, Tox_Log_Level level, const char *file, uint32_t line, const char *func, const char *message, void *user_data) {
    jbyteArray fileStr = newByteArray((const uint8_t*) file, strlen(file));
    jbyteArray funcStr = newByteArray((const uint8_t*) func, strlen(func));
    jbyteArray messageStr = newByteArray((const uint8_t*) message, strlen(message));
    jmethodID logMethodId = getEnv()->GetMethodID(getLoggerClass(), "onLogMessage", "(I[BI[B[B)V");
    getEnv()->CallVoidMethod(getLogger(), logMethodId, level, fileStr, line, funcStr, messageStr);
}

void loggerWrite(Tox_Log_Level level, const char *file, uint32_t line, const char *func, const char *format, ...) {
    char msg[1024];
    va_list args;
    va_start(args, format);
    vsnprintf(msg, sizeof(msg), format, args);
    va_end(args);
    onLogMessage(NULL, level, file, line, func, msg, NULL);
}