#include <jni.h>
#include <tox/tox.h>

#ifndef jtox_util
#define jtox_util

#define TOX_GROUP_TYPE_TEXT_ONLY TOX_CONFERENCE_TYPE_TEXT
#define TOX_GROUP_TYPE_AV TOX_CONFERENCE_TYPE_AV
#define TOX_GROUP_TYPE_ADVANCED 2

#define GET_ARRAY_BYTES(array) array != NULL ? env->GetByteArrayElements(array, NULL) : NULL
#define GET_ARRAY_LEN(array) array != NULL ? env->GetArrayLength(array) : 0
#define RELEASE_ARRAY(array, ptr) if (array != NULL) env->ReleaseByteArrayElements(array, ptr, 0)

#define MAX(a,b) ((a)>(b)?(a):(b))
#define MIN(a,b) ((a)<(b)?(a):(b))

JavaVM *getJvm();

JNIEnv *getEnv();

jclass getCallbackClass();

jobject getCallback();

jbyteArray newByteArray(JNIEnv *env, const uint8_t *data, size_t length);

jbyteArray newByteArray(const uint8_t *data, size_t length);

jobject getUserData(JNIEnv *env, Tox *tox, jint id, uint8_t *name, Tox_User_Status status, uint8_t *statusMessage,
    uint8_t *pubkey, Tox_Group_Role role, Tox_Connection protocol, uint64_t lastOnline);

jobject getConferenceData(JNIEnv *env, Tox *tox, Tox_Conference_Number conferenceNum);

jobject getGroupData(JNIEnv *env, Tox *tox, int groupNum);

jobject getSharedGroupData(JNIEnv *env, Tox *tox, jint group_num, uint8_t *title, uint8_t *topic, uint8_t *uid, jint type, jint visibility, uint8_t public_key[TOX_PUBLIC_KEY_SIZE]);

#endif