# Code optimization is causing very vague errors that aren't worth the trouble
-dontoptimize

# Rather than trusting Proguard to figure out which classes aren't needed,
# the line below explicitly specifies which classes can be safely optimized or removed.
#
# demo - Demo code only used for local development
# nand.apps.chat.engine.mock - Mock chat engine that's only used for development
# org.koin.android - Resolves some reproducibility issues (non-deterministic class files)
# androidx.compose.material.icons - Removes the many Compose icons the app doesn't use
-keep class !demo.**,!nand.apps.chat.engine.mock.**,!org.koin.android.**,!androidx.compose.material.icons.**{*;}

-assumenosideeffects public class androidx.compose.runtime.ComposerKt {
    void sourceInformation(androidx.compose.runtime.Composer,java.lang.String);
    void sourceInformationMarkerStart(androidx.compose.runtime.Composer,int,java.lang.String);
    void sourceInformationMarkerEnd(androidx.compose.runtime.Composer);
}

# JSR 305 annotations are for embedding nullability information.
-dontwarn javax.annotation.**

# OkHttp platform used only on JVM and when Conscrypt and other security providers are available.
-dontwarn okhttp3.internal.platform.**
-dontwarn org.conscrypt.**
-dontwarn org.bouncycastle.**
-dontwarn org.openjsse.**

# Other warnings that need to be ignored for the task to succeed
-dontwarn kotlinx.coroutines.debug.*
-dontwarn com.twelvemonkeys.image.**
-dontwarn ch.qos.logback.**
-dontwarn com.sun.jna.platform.**
-dontwarn io.github.alexzhirkevich.compottie.internal.**
-dontwarn nl.adaptivity.xmlutil.**