package nand.apps.chat.audio

import android.media.MediaPlayer
import kotlin.math.roundToInt

class AndroidSoundEffectHandle(
    val fileName: String,
    val player: MediaPlayer,
) : AudioHandle {

    override val timestamp get() = (player.timestamp?.anchorMediaTimeUs ?: 0L) / 1_000_000.0
    override val duration get() = player.duration / 1000.0

    override fun seekTo(timestamp: Double): Boolean {
        return try {
            player.seekTo((timestamp * 1000).roundToInt())
            true
        } catch (ignore: Exception) {
            false
        }
    }
}