package nand.apps.chat.io

import android.content.Context
import android.os.Environment
import android.os.Environment.getExternalStorageDirectory
import android.os.Environment.getExternalStoragePublicDirectory
import okio.Path.Companion.toOkioPath
import java.io.File

class AndroidFilePaths(context: Context) : ChatFilePaths {

    override val roots = File.listRoots().mapNotNull { it?.toOkioPath() }.toSet()
    override val userDataPath = context.filesDir.toOkioPath()
    override val cachePath = context.cacheDir.toOkioPath()
    override val configPath = userDataPath
    override val toxPath = userDataPath
    override val homePath = getExternalStorageDirectory()?.toOkioPath() ?: userDataPath
    override val documentPath = context.getExternalDir(Environment.DIRECTORY_DOCUMENTS)
    override val downloadPath = context.getExternalDir(Environment.DIRECTORY_DOWNLOADS)
    override val picturesPath = context.getExternalDir(Environment.DIRECTORY_PICTURES)
    override val videosPath = context.getExternalDir(Environment.DIRECTORY_MOVIES)
    override val musicPath = context.getExternalDir(Environment.DIRECTORY_MUSIC)

    override fun init() {
        // Nothing to do here
    }
    
    private fun Context.getExternalDir(type: String) =
        getExternalStoragePublicDirectory(type)?.toOkioPath() ?: filesDir.toOkioPath().resolve(type)
}