package nand.apps.chat.log

import android.util.Log

class AndroidAppLogger(private val tag: String) : AppLogger {

    override fun verbose(message: String) {
        Log.v(tag, message)
    }

    override fun debug(message: String) {
        Log.d(tag, message)
    }

    override fun warn(message: String, exception: Exception?) {
        Log.w(tag, message, exception)
    }

    override fun error(message: String, exception: Exception?) {
        Log.e(tag, message, exception)
    }
}

actual fun getAppLogger(tag: String): AppLogger = AndroidAppLogger(tag)