package nand.apps.chat.notification

import nand.apps.chat.BuildConfig.APP_NAME
import nand.apps.chat.model.call.CallAction
import nand.apps.chat.model.notification.ChatNotificationGroup

const val NOTIFICATION_CHANNEL_ID = "$APP_NAME Notifications"

// Notification IDs
private const val BASE_NOTIFICATION_ID = 696969
val ChatNotificationGroup.notificationId get() = BASE_NOTIFICATION_ID + ordinal

// Request codes
private const val BASE_REQUEST_CODE = 420420
val AndroidNotificationRequest.code get() = BASE_REQUEST_CODE + ordinal

// Intent extras
const val INTENT_KEY_CONVERSATION_UID = "conversationUid"
const val INTENT_KEY_SENDER_NAME = "senderName"
const val INTENT_KEY_CALL_ACTION = "callAction"

fun CallAction.toNotificationRequest() = when (this) {
    CallAction.ANSWER -> AndroidNotificationRequest.ANSWER_CALL
    CallAction.DECLINE,
    CallAction.HANG_UP -> AndroidNotificationRequest.END_CALL
    CallAction.PAUSE -> AndroidNotificationRequest.PAUSE_CALL
    CallAction.RESUME -> AndroidNotificationRequest.RESUME_CALL
}