package nand.apps.chat.platform

import android.app.Activity
import android.app.Application
import android.app.Application.ActivityLifecycleCallbacks
import android.os.Bundle

class AndroidAppStateProvider(
    application: Application
) : AppStateProvider, ActivityLifecycleCallbacks {

    override var currentState = AppState.BACKGROUND
    
    init {
        application.registerActivityLifecycleCallbacks(this)
    }

    override fun onActivityResumed(activity: Activity) {
        currentState = AppState.FOREGROUND
    }
    
    override fun onActivityPaused(activity: Activity) {
        currentState = AppState.BACKGROUND
    }

    override fun onActivityCreated(activity: Activity, savedInstanceState: Bundle?) {
    }
    
    override fun onActivityStarted(activity: Activity) {
    }
    
    override fun onActivityStopped(activity: Activity) {
    }
    
    override fun onActivitySaveInstanceState(activity: Activity, outState: Bundle) {
    }
    
    override fun onActivityDestroyed(activity: Activity) {
    }
}