package nand.apps.chat.share

import android.content.Context
import android.content.Intent
import android.content.Intent.FLAG_ACTIVITY_NEW_TASK
import androidx.core.content.ContextCompat.startActivity

class AndroidContentShare(
    private val context: Context,
) : ContentShare {

    override fun isSupported(content: Any): Boolean {
        return content is String
    }

    override fun share(content: Any) {
        when (content) {
            is String -> launchTextShareIntent(content)
        }
    }

    private fun launchTextShareIntent(text: String) {
        val sendIntent: Intent = Intent().apply {
            action = Intent.ACTION_SEND
            putExtra(Intent.EXTRA_TEXT, text)
            type = "text/plain"
        }
        val shareIntent = Intent.createChooser(sendIntent, null).apply {
            flags = FLAG_ACTIVITY_NEW_TASK
        }
        startActivity(context, shareIntent, null)
    }
}