package nand.apps.chat.audio

import kotlin.math.roundToInt

class AudioFrame(
    val samples: ShortArray,
    val channels: Int,
    val sampleRate: Int,
) {
    
    val size = samples.size / channels
    val duration = getTime(size)

    fun getPosition(seconds: Double) = (seconds * sampleRate).roundToInt()
    
    fun getTime(position: Int) = position.toDouble() / sampleRate
}