package nand.apps.chat.audio

import nand.apps.opus.OpusFileReader

const val DEFAULT_AUDIO_SAMPLE_RATE = 48000
const val DEFAULT_AUDIO_CHANNELS = 2

fun OpusFileReader.readToFrame(buffer: ShortArray): AudioFrame? {
    val numSamples = read(buffer) * channels
    return when {
        numSamples <= 0 -> null
        else -> AudioFrame(
            samples = when {
                buffer.size == numSamples -> buffer.copyOf()
                else -> buffer.copyOfRange(0, numSamples)
            },
            channels = channels,
            sampleRate = sampleRate,
        )
    }
}