package nand.apps.chat.embed.fourchan

import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import nand.apps.chat.embed.EmbedPreviewData
import nand.apps.chat.ui.embed.fourchan.Renderer

data class FourChanPostMetadata(
    val id: Int,
    val timestampMs: Long,
    val timestampMicro: Long,
    val timestampString: String,
    val name: String,
    val comment: String,
    val image: FourChanImageMetadata?,
    val thread: FourChanThreadMetadata,
) : EmbedPreviewData {
    
    val isOriginalPost get() = id == thread.id
    
    @Composable
    override fun GetComposable(modifier: Modifier) = Renderer(modifier)
}