package nand.apps.chat.embed.mediawiki

data class MediaWikiImageMetadata(
    val url: String,
    val fileName: String,
    val width: Int,
    val height: Int,
    val shouldCrop: Boolean = shouldCropImage(fileName, width, height),
)

private val TRANSPARENT_IMAGE_EXTENSIONS = listOf(".png", ".svg")

// XXX - Pretty arbitrary but works decently for most cases
private fun shouldCropImage(fileName: String, width: Int, height: Int): Boolean {
    val verticalAspectRatio = if (width > 0) height.toFloat() / width else 0f
    return verticalAspectRatio < 1.5f && fileName.findAnyOf(TRANSPARENT_IMAGE_EXTENSIONS, ignoreCase = true) == null
}