package nand.apps.chat.engine.event

import nand.apps.chat.model.uid.GroupUid
import nand.apps.chat.model.uid.UserUid

sealed class ChatEngineEvent

data object SaveProfileEvent : ChatEngineEvent()

data class SaveFriendEvent(
    val friendUid: UserUid,
) : ChatEngineEvent()

data class SaveGroupEvent(
    val groupUid: GroupUid,
) : ChatEngineEvent()

data class GroupUsersChangedEvent(
    val groupUid: GroupUid,
) : ChatEngineEvent()

data class JoinGroupEvent(
    val groupUid: GroupUid,
    val selfNickname: String,
    val password: String?,
) : ChatEngineEvent()