package nand.apps.chat.engine.mock

import kotlinx.coroutines.delay
import nand.apps.chat.model.user.ChatProfileData
import nand.apps.chat.profile.ProfileAuthenticator

private const val MOCK_USERNAME = "MOCK"
private const val MOCK_PASSWORD = "Test123"

class MockProfileAuthenticator : ProfileAuthenticator {

    override fun isAuthenticationRequired(): Boolean {
        return true
    }

    override suspend fun isLoginCorrect(profile: ChatProfileData): Boolean {
        delay(500)
        return profile.username == MOCK_USERNAME && profile.password == MOCK_PASSWORD
    }

    override suspend fun isPasswordCorrect(password: String): Boolean {
        delay(500)
        return password == MOCK_PASSWORD
    }
}