package nand.apps.chat.engine.tox

import nand.apps.chat.engine.ChatEngine
import nand.apps.chat.engine.ChatEngineCommandHandler
import nand.apps.chat.engine.tox.dev.ToxDevCommandHandler
import nand.apps.chat.engine.tox.friend.ToxFriendSaver
import nand.apps.chat.engine.tox.group.ToxGroupSaver
import nand.apps.chat.io.ChatEngineEncryption
import nand.apps.chat.profile.ProfileAuthenticator
import org.koin.core.module.dsl.singleOf
import org.koin.dsl.module

fun getToxKoinModule() = module {
    single<ChatEngine> { ToxChatEngine(get()) }
    single<ChatEngineEncryption> { ToxChatEngineEncryption() }
    single<ProfileAuthenticator> { ToxProfileAuthenticator(get()) }
    single<ChatEngineCommandHandler> { ToxDevCommandHandler(get()) }
    singleOf(::ToxChatEngineRepo)
    singleOf(::ToxChatEngineSaver)
    singleOf(::ToxFriendSaver)
    singleOf(::ToxGroupSaver)
    singleOf(::ToxChatEventHandler)
}