package nand.apps.chat.image

import androidx.compose.ui.unit.IntSize
import coil3.request.Options
import coil3.size.*

infix fun Int.x(height: Int) = IntSize(this, height)

fun Options.sizePx(original: IntSize): IntSize {
    return when {
        size.isOriginal -> original
        else -> IntSize(
            width = size.width.toPx(scale),
            height = size.height.toPx(scale),
        )
    }
}

fun Dimension.toPx(scale: Scale): Int = pxOrElse {
    when (scale) {
        Scale.FILL -> Int.MIN_VALUE
        Scale.FIT -> Int.MAX_VALUE
    }
}