package nand.apps.chat.image

import coil3.ComponentRegistry
import coil3.ImageLoader
import coil3.SingletonImageLoader
import coil3.svg.SvgDecoder
import nand.apps.chat.image.qrcode.QrCodeFetcher
import org.koin.core.Koin

fun initSingletonImageLoader(koin: Koin) {
    SingletonImageLoader.setSafe { context ->
        ImageLoader.Builder(context)
            .components {
                add(SvgDecoder.Factory())
                add(QrCodeFetcher.Factory())
                add(ChatAvatarImageFetcher.Factory(koin))
                addPlatformComponents()
            }
            .build()
    }
}

expect fun ComponentRegistry.Builder.addPlatformComponents()