package nand.apps.chat.image.qrcode

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.toArgb
import qrcode.QRCode
import qrcode.raw.QRCodeProcessor.Companion.DEFAULT_CELL_SIZE

data class QrCodeImageData(
    val value: String,
    val color: Color = Color.Black,
    val background: Color = Color.Transparent,
) {
    
    fun toQrCode(
        squareSize: Int = DEFAULT_CELL_SIZE,
    ) = QRCode.ofSquares()
        .withColor(color.toArgb())
        .withSize(squareSize)
        .withBackgroundColor(background.toArgb())
        .withInnerSpacing(0)
        .build(value)
}