package nand.apps.chat.io

class ChatFileEncryptionMux(
    private val encryption: ChatFileEncryption,
    private val decryption: ChatFileEncryption,
): ChatFileEncryption {
    
    override fun isEncryptionSupported() = encryption.isEncryptionSupported()

    override fun isDecryptionSupported() = decryption.isDecryptionSupported()

    override fun isEncrypted(data: ByteArray) = encryption.isEncrypted(data)

    override fun encryptData(data: ByteArray) = encryption.encryptData(data)

    override fun decryptData(data: ByteArray) = decryption.decryptData(data)
}