package nand.apps.chat.model.avatar

import androidx.compose.ui.graphics.Color
import kotlin.math.absoluteValue

sealed class ChatAvatar(
    val contentDescription: String,
    val background: Color = contentDescription.toAvatarBackgroundColor(),
)

private fun String.toAvatarBackgroundColor() = Color.hsv(
    hue = (hashCode().absoluteValue % 360).toFloat(),
    saturation = 0.6f,
    value = 0.4f,
)
