package nand.apps.chat.model.call

import nand.apps.chat.model.uid.CallUid
import nand.apps.chat.model.uid.ContactUid
import nand.apps.chat.time.currentTimeMillis

data class CallData(
    val contactUid: ContactUid,
    val uid: CallUid = CallUid(),
    val startTime: Long = currentTimeMillis(),
    val status: CallStatus = CallStatus.NONE,
    val audioState: CallAudioState = CallAudioState(),
    val videoState: CallVideoState = CallVideoState(),
) {

    val isPending = status == CallStatus.INCOMING || status == CallStatus.OUTGOING
    val isActive = status == CallStatus.ACTIVE
    val isInProgress = isPending || isActive || status == CallStatus.PAUSED || status == CallStatus.VOICEMAIL
}
