package nand.apps.chat.model.file

import io.ktor.http.*
import nand.apps.chat.model.uid.FileTransferUid
import nand.apps.chat.model.uid.FileUid
import nand.apps.chat.model.uid.UserUid

data class ChatFileTransfer(
    val fileUid: FileUid,
    val friendUid: UserUid,
    val name: String,
    val path: String,
    val size: Long,
    val direction: ChatFileTransferDirection,
    val position: Long = 0L,
    val type: ChatFileType = ChatFileType.GENERIC,
    val state: ChatFileTransferState = ChatFileTransferState.IDLE,
) {
    
    val uid = FileTransferUid(fileUid, friendUid)
    val isInProgress = state == ChatFileTransferState.IDLE || state == ChatFileTransferState.ACTIVE
    val contentType = ContentType.fromFilePath(path).firstOrNull()
}