package nand.apps.chat.model.group

import nand.apps.chat.util.getStringBlocking
import seers.composeapp.generated.resources.*

enum class ChatGroupRole {
    FOUNDER,
    MODERATOR,
    USER,
    OBSERVER,
    ;
    
    fun hasAuthorityOver(other: ChatGroupRole) = when (this) {
        FOUNDER -> other != FOUNDER
        MODERATOR -> other == USER || other == OBSERVER
        else -> false
    }

    fun getDisplayString() = getStringBlocking(
        when (this) {
            OBSERVER -> Res.string.group_role_observer
            USER -> Res.string.group_role_user
            MODERATOR -> Res.string.group_role_moderator
            FOUNDER -> Res.string.group_role_founder
        }
    )
}