package nand.apps.chat.model.settings

import kotlinx.serialization.Serializable
import nand.apps.chat.text.emoji.EmojiGroup
import nand.apps.chat.time.MINUTE_MILLIS

@Serializable
data class ChatSettingsData(
    val isTextStylesEnabled: Boolean = true,
    val isInputTextStylesEnabled: Boolean = true,
    val isInputTagPreviewEnabled: Boolean = true,
    val isTextEffectsEnabled: Boolean = true,
    val isAvatarsEnabled: Boolean = true,
    val isPeerConnectMessagesEnabled: Boolean = false,
    val isPeerNameMessagesEnabled: Boolean = true,
    val isMessageHistoryEnabled: Boolean = true,
    val isMessageEditsEnabled: Boolean = true,
    val isMessageReactionsEnabled: Boolean = true,
    val isMentionsEnabled: Boolean = true,
    val isAnimatedEmojisEnabled: Boolean = true,
    val isEmojiPopupSearchEnabled: Boolean = false,
    val emojiPopupGroup: EmojiGroup = EmojiGroup.SMILEYS,
    val messageMergeThreshold: Long = 10 * MINUTE_MILLIS,
    val maxMessages: Int = 500,
    val maxTextEffects: Int = 5,
    val defaultSendDirectory: String? = null,
)