package nand.apps.chat.model.settings

import kotlinx.serialization.Serializable
import nand.apps.chat.locale.ChatLocale
import nand.apps.chat.model.settings.theme.ChatThemeSetting
import nand.apps.chat.model.settings.theme.getDefaultChatTheme
import nand.apps.chat.time.DateFormat
import nand.apps.chat.time.MINUTE_MILLIS
import nand.apps.chat.time.TimestampFormat

val DENSITY_RANGE = 0.25f..2f

@Serializable
data class GeneralSettingsData(
    val loginUsername: String = "",
    val timeFormat: TimestampFormat = TimestampFormat(),
    val dateFormat: DateFormat = DateFormat(),
    val locale: ChatLocale = ChatLocale.ENGLISH,
    val autoAwayTime: Long = 10 * MINUTE_MILLIS,
    val appTheme: ChatThemeSetting = getDefaultChatTheme(),
    val appThemeHue: Float = -1f,
    val densityScale: Float = 1f,
    val isTutorialComplete: Boolean = false,
    val isContactsCollapsed: Boolean = false,
    val isGroupPeersCollapsed: Boolean = false,
)