package nand.apps.chat.model.settings

import kotlinx.serialization.Serializable
import nand.apps.chat.model.settings.call.CallSettingsData
import nand.apps.chat.model.settings.filetransfer.FileTransferSettingsData
import nand.apps.chat.model.settings.net.NetworkSettingsData
import nand.apps.chat.model.settings.notifications.NotificationSettingsData
import nand.apps.chat.model.settings.shortcut.ShortcutSettingsData

@Serializable
data class SettingsData(
    val generalSettings: GeneralSettingsData = GeneralSettingsData(),
    val chatSettings: ChatSettingsData = ChatSettingsData(),
    val callSettings: CallSettingsData = CallSettingsData(),
    val notificationSettings: NotificationSettingsData = NotificationSettingsData(),
    val embedSettings: EmbedSettingsData = EmbedSettingsData(),
    val fileSettings: FileTransferSettingsData = FileTransferSettingsData(),
    val shortcutSettings: ShortcutSettingsData = ShortcutSettingsData(),
    val networkSettings: NetworkSettingsData = NetworkSettingsData(),
    val devSettings: DevSettingsData = DevSettingsData(),
)
