package nand.apps.chat.model.settings.filetransfer

import kotlinx.serialization.Serializable
import nand.apps.chat.time.DAY_MILLIS

@Serializable
data class FileTransferSettingsData(
    val downloadDirectory: String? = null,
    val autoAcceptFileTypes: Set<String> = emptySet(),
    val isAvatarTransferEnabled: Boolean = true,
    val isDragDropEnabled: Boolean = true,
    val isCopyPasteEnabled: Boolean = true,
    val isGroupUploadEnabled: Boolean = true,
    val showFileTransferConfirmation: Boolean = true,
    val avatarExpireTime: Long = DAY_MILLIS,
    val uploadConfig: FileTransferUploadConfig = FileTransferUploadConfig(),
)
