package nand.apps.chat.model.settings.profile

import kotlinx.serialization.Serializable
import nand.apps.chat.model.user.UserStatus

@Serializable
data class ProfileSettingsData(
    val status: UserStatus = UserStatus.DEFAULT,
    val states: Map<UserStatus, ProfileSettingsStateData> = emptyMap(),
    val isLockedToDefaultState: Boolean = true,
    val showLockWarning: Boolean = true,
    val autoAwayStatus: UserStatus? = null,
) {

    val currentState: ProfileSettingsStateData? get() = when {
        isLockedToDefaultState -> states[UserStatus.DEFAULT]
        else -> states[status] ?: states[UserStatus.DEFAULT]
    }
}
