package nand.apps.chat.model.settings.shortcut

import kotlinx.serialization.Serializable

@Serializable
data class ShortcutSettingsData(
    val shortcuts: Map<ShortcutAction, String> = DEFAULT_SHORTCUT_MAP.mapValues { it.value.toString() },
)

private val DEFAULT_SHORTCUT_MAP = mapOf(
    ShortcutAction.NAVIGATE_BACK to ShortcutKeyCombo("Escape"),
    ShortcutAction.TOGGLE_FULLSCREEN to ShortcutKeyCombo("F11"),
    ShortcutAction.TOGGLE_DEV_CONSOLE to ShortcutKeyCombo("C", ctrl = true, shift = true),
    ShortcutAction.ZOOM_IN to ShortcutKeyCombo("=", ctrl = true),
    ShortcutAction.ZOOM_OUT to ShortcutKeyCombo("-", ctrl = true),
    ShortcutAction.ZOOM_RESET to ShortcutKeyCombo("0", ctrl = true),
)