package nand.apps.chat.model.uid

import kotlinx.serialization.KSerializer
import kotlinx.serialization.Serializable
import kotlinx.serialization.descriptors.PrimitiveKind
import kotlinx.serialization.descriptors.PrimitiveSerialDescriptor
import kotlinx.serialization.descriptors.SerialDescriptor
import kotlinx.serialization.encoding.Decoder
import kotlinx.serialization.encoding.Encoder
import nand.apps.chat.util.trimToLength

@Serializable(with = UserUidSerializer::class)
data class UserUid(override val value: String) : ContactUid(value) {

    override fun toString() = "User[${value.trimToLength(6)}]"
}

object UserUidSerializer : KSerializer<UserUid> {

    override val descriptor: SerialDescriptor = PrimitiveSerialDescriptor("UserUid", PrimitiveKind.STRING)

    override fun serialize(encoder: Encoder, value: UserUid) {
        encoder.encodeString(value.value)
    }

    override fun deserialize(decoder: Decoder): UserUid {
        val publicKey = decoder.decodeString()
        return UserUid(publicKey)
    }
}