package nand.apps.chat.model.user

import nand.apps.chat.BuildConfig.APP_NAME
import nand.apps.chat.BuildConfig.APP_VERSION_MAJOR
import nand.apps.chat.BuildConfig.APP_VERSION_MINOR
import nand.apps.chat.BuildConfig.APP_VERSION_PATCH
import nand.apps.chat.model.net.packet.ClientVersionPacketData

data class ChatClientVersion(
    val name: String,
    val major: Int,
    val minor: Int,
    val patch: Int,
) {
    
    fun toPacketData() = ClientVersionPacketData(
        name = name,
        major = major,
        minor = minor,
        patch = patch,
    )

    override fun toString() = "$name v$major.$minor.$patch"
    
    companion object {
        
        private val DEFAULT = ChatClientVersion(
            name = APP_NAME,
            major = APP_VERSION_MAJOR,
            minor = APP_VERSION_MINOR,
            patch = APP_VERSION_PATCH,
        )
        
        operator fun invoke() = DEFAULT
    }
}