package nand.apps.chat.model.user

import nand.apps.chat.model.avatar.ChatUserAvatar
import nand.apps.chat.model.contact.ChatContact
import nand.apps.chat.model.uid.FriendRequestUid
import nand.apps.chat.text.emoji.Emoji

data class FriendRequest(
    override val uid: FriendRequestUid,
    val message: String,
) : ChatContact {

    override val isMuted = false

    val avatar = ChatUserAvatar(
        username = uid.value,
        emoji = Emoji.DISGUISED_FACE,
    )
}