package nand.apps.chat.profile

import nand.apps.chat.io.ChatFileBrowser
import nand.apps.chat.model.user.ChatProfileData

class ProfileBrowser(
    private val browser: ChatFileBrowser,
) {

    fun isSupported() = browser.isBrowserSupported()

    fun launch(onResult: (ChatProfileData?) -> Unit) {
        browser.launchBrowser { path ->
            onResult(
                path?.let {
                    ChatProfileData(
                        filePath = path.toString(),
                        username = path.name,
                    )
                }
            )
        }
    }
}