package nand.apps.chat.ui.chat.message

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.text.selection.DisableSelection
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import nand.apps.chat.ui.button.SimpleTextButton
import nand.apps.chat.ui.theme.ChatTheme
import org.jetbrains.compose.resources.stringResource
import seers.composeapp.generated.resources.*

@Composable
fun AcceptDeclineButtons(
    modifier: Modifier = Modifier,
    onAccept: () -> Unit,
    onDecline: () -> Unit,
) = DisableSelection {
    Row(
        horizontalArrangement = Arrangement.spacedBy(ChatTheme.dimens.spacingLarge),
        modifier = modifier,
    ) {
        SimpleTextButton(
            text = stringResource(Res.string.accept),
            onClick = onAccept,
        )
        SimpleTextButton(
            text = stringResource(Res.string.decline),
            onClick = onDecline,
        )
    }
}