package nand.apps.chat.ui.chat.message

import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.padding
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.text.font.FontWeight
import nand.apps.chat.model.avatar.ChatAvatar
import nand.apps.chat.model.group.ChatGroupData
import nand.apps.chat.model.message.ChatMessage
import nand.apps.chat.ui.avatar.ChatAvatarBox
import nand.apps.chat.ui.text.TextLine
import nand.apps.chat.ui.theme.ChatTheme

@Composable
fun CompactMessageBlock(
    message: ChatMessage,
    avatar: ChatAvatar,
    displayName: String,
    group:  ChatGroupData?,
) = Row {
    ChatAvatarBox(avatar)
    Column(
        modifier = Modifier.padding(start = ChatTheme.dimens.spacingMedium)
    ) {
        TextLine(
            text = displayName,
            style = ChatTheme.typography.caption.copy(fontWeight = FontWeight.Bold),
            color = when {
                message.isGroupMessage -> ChatTheme.colors.statusOnline
                else -> ChatTheme.colors.onSurface
            },
        )
        MessageBlock(
            message = message,
            displayName = displayName,
            isCompact = true,
            group = group,
        )
    }
}