package nand.apps.chat.ui.chat.message

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.unit.dp
import nand.apps.chat.ui.provider.LocalDateTimeFormatProvider
import nand.apps.chat.ui.text.TextLine
import nand.apps.chat.ui.theme.ChatTheme

@Composable
fun MessageDateSeparator(
    timestamp: Long,
    modifier: Modifier = Modifier,
) {
    Box(
        contentAlignment = Alignment.Center,
        modifier = modifier,
    ) {
        Box(
            modifier = Modifier
                .background(ChatTheme.colors.surface)
                .height(1.dp)
                .fillMaxWidth()
        )
        Box(
            modifier = Modifier
                .clip(ChatTheme.shapes.small)
                .background(ChatTheme.colors.background)
        ) {
            TextLine(
                text = LocalDateTimeFormatProvider.current.formatDate(timestamp),
                color = ChatTheme.colors.onBackground,
                style = ChatTheme.typography.caption,
                modifier = Modifier
                    .background(ChatTheme.colors.surface)
                    .padding(ChatTheme.dimens.spacingSmall)
            )
        }
    }
}