package nand.apps.chat.ui.chat.message

enum class MessageTextEffect {
    FADE,
    ALERT,
    BLUR,
    SPOILER,
    ZOOM,
    BOUNCE,
    SHAKE,
    REVERSE,
    FLIP,
    QRCODE,
    NOEMBED,
    NOSTYLE,
    ;
    
    companion object {
        
        fun parseEffects(text: String, maxEffects: Int): Pair<String, Set<MessageTextEffect>> {
            val effects = mutableSetOf<MessageTextEffect>()
            var trimmedText = text
            while (trimmedText.startsWith('/') && effects.size < maxEffects) {
                val name = trimmedText.substringAfter('/').substringBefore(' ')
                entries.find { name.equals(it.name, ignoreCase = true) }?.let {
                    effects += it
                } ?: break
                trimmedText = trimmedText.substringAfter(' ', "")
            }
            return trimmedText to effects
        }
    }
}