package nand.apps.chat.ui.dialog

import androidx.compose.runtime.Composable
import nand.apps.chat.model.event.*
import nand.apps.chat.model.group.ChatGroupData
import nand.apps.chat.model.message.ChatMessage
import nand.apps.chat.model.user.UserData
import nand.apps.chat.ui.chat.message.CompactMessageBlock
import nand.apps.chat.ui.provider.LocalEventHandler
import seers.composeapp.generated.resources.*

@Composable
fun DeleteChatMessageDialog(
    message: ChatMessage,
    displayName: String,
    user: UserData,
    group: ChatGroupData?,
    onDismiss: () -> Unit,
) {
    val eventHandler = LocalEventHandler.current
    SimpleDialog(
        title = Res.string.delete_message,
        onConfirm = {
            eventHandler += DeleteMessageEvent(
                message = message,
                localOnly = false,
            )
            onDismiss()
        },
        onCancel = onDismiss,
    ) {
        CompactMessageBlock(
            message = message,
            avatar = user.avatar,
            displayName = displayName,
            group = group,
        )
    }
}