package nand.apps.chat.ui.dialog

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.text.font.FontWeight
import nand.apps.chat.ui.theme.ChatTheme
import org.jetbrains.compose.resources.StringResource
import org.jetbrains.compose.resources.stringResource
import seers.composeapp.generated.resources.*

@Composable
fun PermanentActionDialog(
    title: StringResource,
    message: String,
    onConfirm: () -> Unit,
    onCancel: () -> Unit,
) = SimpleDialog(
    title = title,
    onConfirm = onConfirm,
    onCancel = onCancel,
) {
    Column(
        verticalArrangement = Arrangement.spacedBy(ChatTheme.dimens.spacingMedium),
    ) {
        Text(
            text = message,
            color = ChatTheme.colors.onBackground,
        )
        Text(
            text = stringResource(Res.string.permanent_action_warning),
            style = ChatTheme.typography.body1.copy(fontWeight = FontWeight.Bold),
            color = ChatTheme.colors.onError,
        )
    }
}