package nand.apps.chat.ui.dispatcher

abstract class EventDispatcher<T : EventCallback> {
    
    private val callbackMap = mutableMapOf<String, T>()
    var callbacks: List<T> = emptyList()
        private set

    fun add(eventCallback: T) {
        callbackMap[eventCallback.uuid] = eventCallback
        callbacks = callbackMap.values.reversed()
    }

    fun remove(eventCallback: T) {
        callbackMap.remove(eventCallback.uuid)
        callbacks = callbackMap.values.reversed()
    }
}