package nand.apps.chat.ui.embed.qrcode

import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.text.AnnotatedString
import nand.apps.chat.image.qrcode.QrCodeImageData
import nand.apps.chat.ui.embed.image.ImageEmbedRenderer
import nand.apps.chat.ui.theme.ChatTheme

@Composable
fun QrCodeEmbedRenderer(
    text: AnnotatedString,
    modifier: Modifier,
) {
    val spanColor = text.spanStyles.firstOrNull()?.item?.color.takeIf { it != ChatTheme.colors.primary }
    ImageEmbedRenderer(
        model = QrCodeImageData(
            value = text.text,
            color = spanColor ?: ChatTheme.colors.onSurface,
            background = ChatTheme.colors.background,
        ),
        contentDescription = text.text,
        modifier = modifier,
    )
}