package nand.apps.chat.ui.file

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import nand.apps.chat.ui.button.SimpleTextButton
import nand.apps.chat.ui.theme.ChatTheme
import org.jetbrains.compose.resources.stringResource
import seers.composeapp.generated.resources.*

@Composable
fun ChatFileActionButtonRow(
    onConfirm: () -> Unit,
    onCancel: () -> Unit,
    isConfirmEnabled: Boolean,
    options: ChatFilePickerOptions,
    modifier: Modifier = Modifier,
) {
    Row(
        horizontalArrangement = Arrangement.spacedBy(ChatTheme.dimens.spacingMedium),
        verticalAlignment = Alignment.CenterVertically,
        modifier = modifier
            .fillMaxWidth()
            .background(ChatTheme.colors.surface2)
            .padding(ChatTheme.dimens.spacingMedium),
    ) {
        SimpleTextButton(
            text = stringResource(Res.string.cancel),
            onClick = onCancel,
            modifier = Modifier.weight(1f),
        )
        SimpleTextButton(
            text = stringResource(if (options.isOpenDialog) Res.string.select else Res.string.save),
            isEnabled = isConfirmEnabled,
            onClick = onConfirm,
            modifier = Modifier.weight(1f),
        )
    }
}