package nand.apps.chat.ui.file

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.material.SnackbarHostState
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.window.Dialog
import androidx.compose.ui.window.DialogProperties
import nand.apps.chat.ui.theme.ChatTheme

@Composable
fun ChatFilePickerDialog(
    options: ChatFilePickerOptions,
    onConfirm: (String) -> Unit,
    onCancel: () -> Unit,
    snackbarHostState: SnackbarHostState? = null,
) {
    Dialog(
        onDismissRequest = {},
        properties = DialogProperties(usePlatformDefaultWidth = false),
    ) {
        ChatFilePicker(
            options = options,
            onConfirm = onConfirm,
            onCancel = onCancel,
            snackbarHostState = snackbarHostState,
            modifier = Modifier
                .background(ChatTheme.colors.background)
                .fillMaxSize()
        )
    }
}