package nand.apps.chat.ui.friends

import com.hoc081098.kmp.viewmodel.ViewModel
import nand.apps.chat.repo.ContactRepo
import nand.apps.chat.ui.friends.AddFriendDialogAction.*
import nand.apps.chat.util.fifoSharedFlow

class AddFriendDialogViewModel(
    private val contactRepo: ContactRepo,
) : ViewModel() {

    val selfName get() = contactRepo.self.displayName
    val actionData = fifoSharedFlow<AddFriendDialogAction>()
    
    fun addFriend(name: String, address: String, message: String) {
        contactRepo.sendFriendRequest(name, address, message)?.let {
            actionData.tryEmit(ExitDialog)
        } ?: actionData.tryEmit(ShowError)
    }
}