package nand.apps.chat.ui.groups

import com.hoc081098.kmp.viewmodel.ViewModel
import nand.apps.chat.model.group.ChatGroupType
import nand.apps.chat.model.group.ChatGroupVisibility
import nand.apps.chat.repo.ContactRepo
import nand.apps.chat.ui.groups.CreateGroupDialogAction.*
import nand.apps.chat.util.fifoSharedFlow

class CreateGroupDialogViewModel(
    private val contactRepo: ContactRepo,
) : ViewModel() {

    val actionData = fifoSharedFlow<CreateGroupDialogAction>()
    
    fun createGroup(title: String, type: ChatGroupType, visibility: ChatGroupVisibility) {
        contactRepo.createGroup(title, type, visibility)?.let {
            actionData.tryEmit(ExitDialog)
        } ?: actionData.tryEmit(ShowError)
    }
}