package nand.apps.chat.ui.login

import nand.apps.chat.model.engine.ChatEngineInitResult

sealed class LoginScreenAction

data class UpdateName(val name: String) : LoginScreenAction()

data class ShowLoginError(val error: ChatEngineInitResult) : LoginScreenAction()

data object ShowInvalidFileError : LoginScreenAction()

data object ShowInvalidNameError : LoginScreenAction()

data object ShowImportFailedError : LoginScreenAction()

data object FinishLogin : LoginScreenAction()