package nand.apps.chat.ui.login

import androidx.compose.material.SnackbarHostState
import nand.apps.chat.model.engine.ChatEngineInitResult
import org.jetbrains.compose.resources.getString
import seers.composeapp.generated.resources.*

suspend fun SnackbarHostState.showLoginError(error: ChatEngineInitResult) {
    val errorString = when (error) {
        ChatEngineInitResult.INVALID_CREDENTIALS -> Res.string.login_error_invalid_credentials
        ChatEngineInitResult.INVALID_PROFILE -> Res.string.login_error_invalid_profile_data
        ChatEngineInitResult.PROXY_BAD_HOST -> Res.string.login_error_proxy_bad_host
        ChatEngineInitResult.PROXY_BAD_PORT -> Res.string.login_error_proxy_bad_port
        ChatEngineInitResult.PROXY_NOT_FOUND -> Res.string.login_error_proxy_not_found
        ChatEngineInitResult.INTERNAL_ERROR -> Res.string.login_error_internal
        else -> return
    }
    showSnackbar(getString(Res.string.login_failed, getString(errorString)))
}