package nand.apps.chat.ui.menu

import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import nand.apps.chat.ui.modifier.onClick

@Composable
fun ActionMenuArea(
    items: () -> List<ActionMenuItem>,
    modifier: Modifier = Modifier,
    isEnabled: Boolean = true,
    onClick: (() -> Unit)? = null,
    content: @Composable () -> Unit,
) {
    if (isCustomActionMenu()) {
        ActionMenuContent(
            items = items,
            isEnabled = isEnabled,
            modifier = modifier.onClick(
                isEnabled = onClick != null,
                onClick = onClick ?: {},
            ),
            content = content,
        )
    } else {
        ActionMenuDialog(
            items = items,
            isEnabled = isEnabled,
            onClick = onClick,
            modifier = modifier,
            content = content, 
        )
    }
}

expect fun isCustomActionMenu(): Boolean

@Composable
expect fun ActionMenuContent(
    items: () -> List<ActionMenuItem>,
    isEnabled: Boolean,
    modifier: Modifier,
    content: @Composable () -> Unit,
)