package nand.apps.chat.ui.modifier

import androidx.compose.runtime.Composable
import androidx.compose.runtime.Immutable
import androidx.compose.ui.Modifier
import androidx.compose.ui.geometry.Offset
import androidx.compose.ui.graphics.painter.Painter

interface DragData {
    
    interface FilesList : DragData {
        fun readFiles(): List<String>
    }
    
    interface Image : DragData {
        fun readImage(): Painter
    }
    
    interface Text : DragData {
        val bestMimeType: String

        fun readText(): String
    }
}

@Immutable
class ExternalDragValue(
    val position: Offset,
    val data: DragData,
)

@Composable
expect fun Modifier.onExternalDrag(
    enabled: Boolean = true,
    onDragStart: (ExternalDragValue) -> Unit = {},
    onDrag: (ExternalDragValue) -> Unit = {},
    onDragExit: () -> Unit = {},
    onDrop: (ExternalDragValue) -> Unit = {},
): Modifier