package nand.apps.chat.ui.navigation

import androidx.compose.runtime.*

@Composable
fun NavHost(
    navController: NavController,
    startRoute: NavRoute,
    content: @Composable (NavRoute) -> Unit,
) {
    var currentRoute by rememberMutableNavRoute()
    LaunchedEffect(navController, startRoute) {
        navController.init(startRoute) {
            currentRoute = it
        }
    }
    BackHandler(
        isEnabled = navController.canNavigateBack,
        onBack = navController::navigateBack,
    )
    currentRoute?.let { content(it) }
}