package nand.apps.chat.ui.profile

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import nand.apps.chat.ui.dialog.SimpleDialog
import nand.apps.chat.ui.spinner.ChasingDots
import nand.apps.chat.ui.theme.ChatTheme
import org.jetbrains.compose.resources.StringResource
import org.jetbrains.compose.resources.stringResource

@Composable
fun ProfileMigrationBusyDialog(
    message: StringResource,
) = SimpleDialog(
    isCancellable = false,
) {
    Column(
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.spacedBy(ChatTheme.dimens.spacingMedium),
        modifier = Modifier.align(Alignment.Center),
    ) {
        ChasingDots()
        Text(
            text = stringResource(message),
            color = ChatTheme.colors.onSurface,
            style = ChatTheme.typography.body2,
        )
    }
}