package nand.apps.chat.ui.profile

import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import nand.apps.chat.ui.dialog.SimpleDialog
import nand.apps.chat.ui.navigation.LoginRoute
import nand.apps.chat.ui.provider.LocalNavController
import nand.apps.chat.ui.theme.ChatTheme
import org.jetbrains.compose.resources.stringResource
import seers.composeapp.generated.resources.*

@Composable
fun ProfileMigrationFailedDialog() {
    val navController = LocalNavController.current
    SimpleDialog(
        title = Res.string.profile_edit_failed_title,
        confirmLabel = null,
        cancelLabel = Res.string.close,
        onCancel = { navController.navigate(LoginRoute, reset = true) },
    ) {
        Text(
            text = stringResource(Res.string.profile_edit_failed_message),
            color = ChatTheme.colors.onSurface,
            style = ChatTheme.typography.body2,
        )
    }
}