package nand.apps.chat.ui.profile.auth

import com.hoc081098.kmp.viewmodel.ViewModel
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.launch
import nand.apps.chat.profile.ProfileAuthenticator

class ProfileAuthenticationDialogViewModel(
    private val authenticator: ProfileAuthenticator,
) : ViewModel() {

    val stateData = MutableStateFlow(
        ProfileAuthenticationDialogState(
            isAuthRequired = authenticator.isAuthenticationRequired()
        )
    )
    
    fun submit(password: String) {
        viewModelScope.launch {
            stateData.emit(stateData.value.copy(isBusy = true, isErrorShown = false))
            if (authenticator.isPasswordCorrect(password)) {
                stateData.emit(stateData.value.copy(isAuthRequired = false))
            } else {
                stateData.emit(stateData.value.copy(isBusy = false, isErrorShown = true))
            }
        }
    }
}