package nand.apps.chat.ui.settings.profile

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.*
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import nand.apps.chat.ui.profile.export.ProfileExportDialog
import nand.apps.chat.ui.profile.password.LoginPasswordDialog
import nand.apps.chat.ui.profile.username.LoginUsernameDialog
import nand.apps.chat.ui.settings.SettingsColumn
import nand.apps.chat.ui.settings.row.SettingsDialogRow
import seers.composeapp.generated.resources.*

@Composable
fun ProfileSettingsScreen(
    modifier: Modifier = Modifier,
) = SettingsColumn(
    title = Res.string.settings_profile_title,
    modifier = modifier,
) {
    SettingsDialogRow(
        title = Res.string.settings_profile_login_username_title,
        description = Res.string.settings_profile_login_username_desc,
        icon = Icons.Outlined.Badge,
        isLoginRequired = true,
    ) { onConfirm ->
        LoginUsernameDialog(onCancel = onConfirm)
    }
    SettingsDialogRow(
        title = Res.string.settings_profile_login_password_title,
        description = Res.string.settings_profile_login_password_desc,
        icon = Icons.Outlined.Password,
        isLoginRequired = true,
    ) { onConfirm ->
        LoginPasswordDialog(onCancel = onConfirm)
    }
    SettingsDialogRow(
        title = Res.string.settings_profile_export_title,
        description = Res.string.settings_profile_export_desc,
        icon = Icons.Outlined.SaveAs,
        isLoginRequired = true,
    ) { onConfirm ->
        ProfileExportDialog(onDismiss = onConfirm)
    }
}