package nand.apps.chat.ui.settings.row

import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.PictureInPicture
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.saveable.rememberSaveable
import androidx.compose.runtime.setValue
import androidx.compose.ui.Modifier
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.dialog.ChatWidgetPlacementDialog
import seers.composeapp.generated.resources.*

@Composable
fun ChatWidgetPlacementRow(
    viewModel: SettingsViewModel,
    isEnabled: Boolean,
    modifier: Modifier = Modifier.fillMaxWidth(),
) {
    var isDialogVisible by rememberSaveable { mutableStateOf(false) }
    SettingsRow(
        title = Res.string.settings_notifications_widget_placement_title,
        description = Res.string.settings_notifications_widget_placement_desc,
        icon = Icons.Outlined.PictureInPicture,
        onClick = { isDialogVisible = true },
        isEnabled = isEnabled,
        modifier = modifier,
        endContent = {
            if (isDialogVisible) {
                ChatWidgetPlacementDialog(
                    viewModel = viewModel,
                    onConfirm = { isDialogVisible = false },
                )
            }
        },
    )
}