package nand.apps.chat.ui.settings.row

import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.saveable.rememberSaveable
import androidx.compose.runtime.setValue
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.vector.ImageVector
import org.jetbrains.compose.resources.StringResource

@Composable
fun SettingsDialogRow(
    title: StringResource,
    description: StringResource,
    icon: ImageVector,
    modifier: Modifier = Modifier.fillMaxWidth(),
    isEnabled: Boolean = true,
    isLoginRequired: Boolean = false,
    content: @Composable (onConfirm: () -> Unit) -> Unit,
) {
    var isDialogVisible by rememberSaveable { mutableStateOf(false) }
    SettingsRow(
        title = title,
        description = description,
        icon = icon,
        isEnabled = isEnabled,
        isLoginRequired = isLoginRequired,
        onClick = { isDialogVisible = true },
        modifier = modifier,
        endContent = {
            if (isDialogVisible) {
                content { isDialogVisible = false }
            }
        },
    )
}