package nand.apps.chat.ui.settings.row

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.*
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.dp
import nand.apps.chat.ui.text.TextLine
import nand.apps.chat.ui.theme.ChatTheme
import org.jetbrains.compose.resources.StringResource
import org.jetbrains.compose.resources.stringResource

@Composable
fun SettingsSeparator(
    text: StringResource,
    modifier: Modifier = Modifier.padding(top = ChatTheme.dimens.spacingMedium),
    textColor: Color = ChatTheme.colors.onBackground,
) = Column(
    modifier = modifier.fillMaxWidth()
) {
    TextLine(
        text = stringResource(text),
        style = ChatTheme.typography.body1,
        color = textColor,
    )
    Box(
        modifier = Modifier
            .padding(top = ChatTheme.dimens.spacingSmall)
            .background(ChatTheme.colors.onBackground2)
            .height(1.dp)
            .fillMaxWidth()
    )
}