package nand.apps.chat.ui.settings.row

import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.outlined.Schedule
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.saveable.rememberSaveable
import androidx.compose.runtime.setValue
import androidx.compose.ui.Modifier
import nand.apps.chat.ui.settings.SettingsViewModel
import nand.apps.chat.ui.settings.dialog.TimeSettingDialog
import seers.composeapp.generated.resources.*

@Composable
fun TimeSettingRow(
    viewModel: SettingsViewModel,
    modifier: Modifier = Modifier.fillMaxWidth(),
) {
    var isDialogVisible by rememberSaveable { mutableStateOf(false) }
    SettingsRow(
        title = Res.string.settings_general_time_display_title,
        description = Res.string.settings_general_time_display_desc,
        icon = Icons.Outlined.Schedule,
        onClick = { isDialogVisible = true },
        modifier = modifier,
        endContent = {
            if (isDialogVisible) {
                TimeSettingDialog(
                    viewModel = viewModel,
                    onConfirm = { isDialogVisible = false },
                )
            }
        },
    )
}