package nand.apps.chat.ui.shortcut

import androidx.compose.runtime.staticCompositionLocalOf
import androidx.compose.ui.input.key.KeyEvent
import nand.apps.chat.ui.dispatcher.EventCallback
import nand.apps.chat.ui.dispatcher.EventDispatcher

val LocalKeyEventDispatcher = staticCompositionLocalOf<KeyEventDispatcher> {
    error("No key event dispatcher is set")
}

abstract class KeyEventCallback(isEnabled: Boolean) : EventCallback(isEnabled) {

    abstract fun onKeyEvent(event: KeyEvent): Boolean
}

class KeyEventDispatcher : EventDispatcher<KeyEventCallback>() {

    operator fun invoke(event: KeyEvent): Boolean {
        callbacks.forEach {
            if (it.onKeyEvent(event)) return true
        }
        return false
    }
}