package nand.apps.chat.ui.shortcut

import androidx.compose.runtime.*
import nand.apps.chat.model.settings.shortcut.ShortcutAction
import nand.apps.chat.ui.dispatcher.EventCallback
import nand.apps.chat.ui.dispatcher.EventDispatcher

val LocalShortcutDispatcher = staticCompositionLocalOf<ShortcutDispatcher> {
    error("No shortcut dispatcher is set")
}

abstract class ShortcutActionCallback(isEnabled: Boolean) : EventCallback(isEnabled) {

    abstract fun onShortcut(action: ShortcutAction): Boolean
}

class ShortcutDispatcher : EventDispatcher<ShortcutActionCallback>() {

    operator fun invoke(action: ShortcutAction): Boolean {
        callbacks.forEach {
            if (it.onShortcut(action)) return true
        }
        return false
    }
}