package nand.apps.chat.ui.shortcut

import androidx.compose.runtime.*
import nand.apps.chat.model.settings.shortcut.ShortcutAction
import nand.apps.chat.ui.dispatcher.DisposableEventHandler

@Composable
fun ShortcutHandler(
    action: ShortcutAction,
    isEnabled: Boolean = true,
    onShortcut: () -> Unit,
) {
    val actionFilter = action
    val currentOnShortcut by rememberUpdatedState(onShortcut)
    val shortcutCallback = remember {
        object : ShortcutActionCallback(isEnabled) {
            override fun onShortcut(action: ShortcutAction): Boolean {
                return if (this.isEnabled && actionFilter == action) {
                    currentOnShortcut()
                    true
                } else {
                    false
                }
            }
        }
    }
    DisposableEventHandler(
        eventCallback = shortcutCallback,
        eventDispatcher = LocalShortcutDispatcher.current,
        isEnabled = isEnabled,
    )
}

@Composable
fun ShortcutHandler(
    isEnabled: Boolean = true,
    onShortcut: (ShortcutAction) -> Boolean,
) {
    val currentOnShortcut by rememberUpdatedState(onShortcut)
    val shortcutCallback = remember {
        object : ShortcutActionCallback(isEnabled) {
            override fun onShortcut(action: ShortcutAction): Boolean {
                return if (this.isEnabled) {
                    currentOnShortcut(action)
                } else {
                    false
                }
            }
        }
    }
    DisposableEventHandler(
        eventCallback = shortcutCallback,
        eventDispatcher = LocalShortcutDispatcher.current,
        isEnabled = isEnabled,
    )
}