package nand.apps.chat.ui.snackbar

import androidx.compose.material.Snackbar
import androidx.compose.material.SnackbarDuration
import androidx.compose.material.SnackbarHost
import androidx.compose.material.SnackbarHostState
import androidx.compose.runtime.Composable
import androidx.compose.runtime.NonRestartableComposable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import nand.apps.chat.ui.theme.ChatTheme
import org.jetbrains.compose.resources.StringResource
import org.jetbrains.compose.resources.getString

@Composable
@NonRestartableComposable
fun SimpleSnackbarHost(
    state: SnackbarHostState,
    modifier: Modifier = Modifier,
    textColor: Color = ChatTheme.colors.onSurface,
    backgroundColor: Color = ChatTheme.colors.background,
) = SnackbarHost(
    hostState = state,
    snackbar = { data ->
        Snackbar(
            snackbarData = data,
            contentColor = textColor,
            backgroundColor = backgroundColor,
        )
    },
    modifier = modifier,
)

suspend fun SnackbarHostState.show(
    text: StringResource,
    actionLabel: String? = null,
    duration: SnackbarDuration = SnackbarDuration.Short,
) = showSnackbar(
    message = getString(text),
    actionLabel = actionLabel,
    duration = duration,
)