package nand.apps.chat.ui.text

import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.NonRestartableComposable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.AnnotatedString
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.text.style.TextOverflow
import nand.apps.chat.ui.theme.ChatTheme

@Composable
@NonRestartableComposable
fun TextLine(
    text: String,
    style: TextStyle,
    modifier: Modifier = Modifier,
    color: Color = ChatTheme.colors.onSurface,
    textAlign: TextAlign? = null,
) = Text(
    text = text,
    color = color,
    style = style,
    maxLines = 1,
    overflow = TextOverflow.Ellipsis,
    textAlign = textAlign,
    modifier = modifier,
)

@Composable
@NonRestartableComposable
fun TextLine(
    text: AnnotatedString,
    style: TextStyle,
    modifier: Modifier = Modifier,
    color: Color = ChatTheme.colors.onSurface,
    textAlign: TextAlign? = null,
) = Text(
    text = text,
    color = color,
    style = style,
    maxLines = 1,
    overflow = TextOverflow.Ellipsis,
    textAlign = textAlign,
    modifier = modifier,
)