package nand.apps.chat.ui.theme

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.BoxScope
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import nand.apps.chat.ui.modifier.appendIf

@Composable
fun ChatThemeSurface(
    colors: ChatThemeColors = DarkChatColors,
    includeBackground: Boolean = true,
    modifier: Modifier = Modifier,
    content: @Composable BoxScope.() -> Unit,
) = ChatTheme(colors = colors) {
    Box(
        modifier = modifier
            .appendIf(includeBackground) { background(ChatTheme.colors.background) }
            .fillMaxSize(),
        content = content,
    )
}