package nand.apps.chat.ui.toolbar

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.padding
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import nand.apps.chat.ui.provider.LocalNavController
import nand.apps.chat.ui.theme.ChatTheme
import org.jetbrains.compose.resources.StringResource
import org.jetbrains.compose.resources.stringResource

@Composable
fun SimpleNavToolbar(
    text: StringResource,
    modifier: Modifier = Modifier,
    isNavButtonEnabled: Boolean = true,
    endContent: @Composable () -> Unit = {},
) {
    val navController = LocalNavController.current
    SimpleToolbar(
        text = stringResource(text),
        modifier = Modifier
            .background(ChatTheme.colors.surface2)
            .padding(ChatTheme.dimens.spacingMedium)
            .then(modifier),
        isNavButtonEnabled = isNavButtonEnabled,
        endContent = endContent,
        onNavClick = { navController.navigateBack() },
    )
}