package nand.apps.chat.ui.tooltip

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.padding
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import nand.apps.chat.ui.text.TextLine
import nand.apps.chat.ui.theme.ChatTheme

@Composable
expect fun TooltipArea(
    tooltip: @Composable () -> Unit,
    modifier: Modifier = Modifier,
    delayMillis: Int = 500,
    isEnabled: Boolean = true,
    content: @Composable () -> Unit,
)

@Composable
fun TooltipText(
    tooltip: String,
    modifier: Modifier = Modifier,
    delayMillis: Int = 500,
    isEnabled: Boolean = true,
    content: @Composable () -> Unit,
) = TooltipArea(
    tooltip = {
        TextLine(
            text = tooltip,
            style = ChatTheme.typography.caption,
            modifier = Modifier
                .background(
                    color = ChatTheme.colors.backgroundFloating,
                    shape = ChatTheme.shapes.small,
                )
                .padding(ChatTheme.dimens.spacingSmall),
        )
    },
    delayMillis = delayMillis,
    content = content,
    isEnabled = isEnabled,
    modifier = modifier,
)