package nand.apps.chat.ui.tutorial

import androidx.compose.foundation.layout.*
import androidx.compose.runtime.*
import androidx.compose.ui.Alignment
import nand.apps.chat.BuildConfig.APP_NAME
import nand.apps.chat.ui.button.SimpleTextButton
import nand.apps.chat.ui.provider.LocalNavController
import nand.apps.chat.ui.theme.ChatTheme
import org.jetbrains.compose.resources.stringResource
import seers.composeapp.generated.resources.*

@Composable
fun TutorialAppUsageScreen(viewModel: TutorialViewModel) {
    val navController = LocalNavController.current
    TutorialStepColumn(
        title = stringResource(Res.string.tutorial_questions_used_app_before, APP_NAME),
    ) {
        Row(
            verticalAlignment = Alignment.CenterVertically,
            horizontalArrangement = Arrangement.spacedBy(ChatTheme.dimens.spacingMedium),
        ) {
            SimpleTextButton(
                text = stringResource(Res.string.no),
                onClick = {
                    viewModel.updateState(usedAppBefore = false)
                    if (viewModel.hasExistingProfiles()) {
                        navController.navigate(TutorialExistingProfileRoute)
                    } else {
                        navController.navigate(TutorialToxUsageRoute)
                    }
                },
            )
            SimpleTextButton(
                text = stringResource(Res.string.yes),
                onClick = {
                    viewModel.updateState(usedAppBefore = true)
                    navController.navigate(TutorialExistingProfileRoute)
                }
            )
        }
    }
}