package nand.apps.chat.ui.tutorial

import androidx.compose.runtime.*
import nand.apps.chat.ui.button.SimpleTextButton
import nand.apps.chat.ui.provider.LocalNavController
import org.jetbrains.compose.resources.stringResource
import seers.composeapp.generated.resources.*

@Composable
fun TutorialExistingProfileScreen() {
    val navController = LocalNavController.current
    TutorialStepColumn(
        title = stringResource(Res.string.tutorial_questions_existing_profile),
    ) {
        SimpleTextButton(
            text = stringResource(Res.string.yes),
            onClick = { navController.navigate(TutorialImportProfileRoute) },
        )
        SimpleTextButton(
            text = stringResource(Res.string.tutorial_questions_existing_profile_no),
            onClick = { navController.navigate(TutorialUsernameRoute) },
        )
    }
}