package nand.apps.chat.ui.tutorial

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.ColumnScope
import androidx.compose.foundation.layout.padding
import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.text.style.TextAlign
import nand.apps.chat.ui.theme.ChatTheme

@Composable
fun TutorialStepColumn(
    title: String,
    modifier: Modifier = Modifier,
    content: @Composable ColumnScope.() -> Unit,
) {
    Column(
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.spacedBy(ChatTheme.dimens.spacingMedium),
        modifier = modifier.padding(ChatTheme.dimens.spacingXLarge),
    ) {
        Text(
            text = title,
            color = ChatTheme.colors.onSurface,
            style = ChatTheme.typography.h6,
            textAlign = TextAlign.Center,
        )
        content()
    }
}