package nand.apps.chat.ui.tutorial

import androidx.compose.foundation.layout.*
import androidx.compose.runtime.*
import androidx.compose.ui.Alignment
import nand.apps.chat.ui.button.SimpleTextButton
import nand.apps.chat.ui.provider.LocalNavController
import nand.apps.chat.ui.theme.ChatTheme
import org.jetbrains.compose.resources.stringResource
import seers.composeapp.generated.resources.*

@Composable
fun TutorialToxUsageScreen() {
    val navController = LocalNavController.current
    TutorialStepColumn(
        title = stringResource(Res.string.tutorial_questions_used_tox_before),
    ) {
        Row(
            verticalAlignment = Alignment.CenterVertically,
            horizontalArrangement = Arrangement.spacedBy(ChatTheme.dimens.spacingMedium),
        ) {
            SimpleTextButton(
                text = stringResource(Res.string.no),
                onClick = { navController.navigate(TutorialUsernameRoute) },
            )
            SimpleTextButton(
                text = stringResource(Res.string.yes),
                onClick = { navController.navigate(TutorialExistingProfileRoute) },
            )
        }
    }
}