package nand.apps.opus

private const val NULL_PTR = 0L

abstract class OpusFileStream(
    val sampleRate: Int,
    val channels: Int,
) {
    
    protected var ptr = NULL_PTR

    val isOpen get() = ptr != NULL_PTR

    fun close() {
        if (isOpen) {
            closeImpl()
            ptr = NULL_PTR
        }
    }

    fun finalize() = close()
    
    protected abstract fun closeImpl()
}