package nand.apps.tox.callback

import nand.apps.tox.ToxGroupData
import nand.apps.tox.ToxUserData

interface ToxGroupCallback {

    fun onGroupPeerName(groupNum: Int, peerId: Int, name: ByteArray)

    fun onGroupPeerStatus(groupNum: Int, peerId: Int, status: Int)

    fun onGroupTopic(groupNum: Int, peerId: Int, topic: ByteArray)

    fun onGroupPrivacyState(groupNum: Int, privacyState: Int)

    fun onGroupVoiceState(groupNum: Int, voiceState: Int)

    fun onGroupTopicLock(groupNum: Int, topicLock: Int)

    fun onGroupPeerLimit(groupNum: Int, peerLimit: Int)

    fun onGroupPassword(groupNum: Int, password: ByteArray)

    fun onGroupMessage(groupNum: Int, peerId: Int, messageType: Int, message: ByteArray, messageId: Int)

    fun onGroupPrivateMessage(groupNum: Int, peerId: Int, messageType: Int, message: ByteArray, messageId: Int)

    fun onGroupCustomPacket(groupNum: Int, peerId: Int, packet: ByteArray)

    fun onGroupCustomPrivatePacket(groupNum: Int, peerId: Int, packet: ByteArray)

    fun onGroupInvite(friendNum: Int, inviteData: ByteArray, groupName: ByteArray)

    fun onGroupPeerJoin(groupNum: Int, peerData: ToxUserData)

    fun onGroupPeerExit(groupNum: Int, peerId: Int, exitType: Int, name: ByteArray, partingMessage: ByteArray?)

    fun onGroupSelfJoin(groupData: ToxGroupData, peerData: ToxUserData)

    fun onGroupJoinFail(groupNum: Int, failType: Int)

    fun onGroupModeration(groupNum: Int, sourcePeerId: Int, targetPeerId: Int, modType: Int)
}