package nand.apps.tox.net

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class ToxBootstrapNode(
    val ipv4: String,
    val ipv6: String,
    val maintainer: String,
    @SerialName("port") val udpPort: Int,
    @SerialName("tcp_ports") val tcpPorts: List<Int>,
    @SerialName("public_key") val publicKey: String,
    @SerialName("status_udp") val isUdpOnline: Boolean,
    @SerialName("status_tcp") val isTcpOnline: Boolean,
) {
    
    val isOnline get() = isUdpOnline || isTcpOnline
    val ip get() = if (ipv4.isIpBlank()) ipv6 else ipv4
}

private fun String.isIpBlank() = isBlank() || this == "-" || this == "NONE"