package nand.apps.chat.text.markdown

import androidx.compose.ui.text.SpanStyle
import androidx.compose.ui.text.buildAnnotatedString
import androidx.compose.ui.text.font.FontStyle
import androidx.compose.ui.text.font.FontWeight
import nand.apps.chat.text.assertEquals
import nand.apps.chat.text.buildMarkdownText
import kotlin.test.Test

class BoldItalicTextTests {
    
    @Test
    fun `Entirely bold and italic string`() = assertEquals(
        expected = buildAnnotatedString {
            append("Bold and italic text")
            addStyle(SpanStyle(fontStyle = FontStyle.Italic), 0, 20)
            addStyle(SpanStyle(fontWeight = FontWeight.Bold), 0, 20)
        },
        actual = buildMarkdownText("***Bold and italic text***"),
    )
    
    @Test
    fun `Partially bold and italic string`() = assertEquals(
        expected = buildAnnotatedString {
            append("This is some bold and italic text")
            addStyle(SpanStyle(fontStyle = FontStyle.Italic), 13, 28)
            addStyle(SpanStyle(fontWeight = FontWeight.Bold), 13, 28)
        },
        actual = buildMarkdownText("This is some ***bold and italic*** text"),
    )

    @Test
    fun `Partially bold and italic string alternate`() = assertEquals(
        expected = buildAnnotatedString {
            append("This is some bold and italic text")
            addStyle(SpanStyle(fontStyle = FontStyle.Italic), 13, 28)
            addStyle(SpanStyle(fontWeight = FontWeight.Bold), 13, 28)
        },
        actual = buildMarkdownText("This is some _**bold and italic**_ text"),
    )
}