package nand.apps.chat.text.markdown

import androidx.compose.ui.text.SpanStyle
import androidx.compose.ui.text.buildAnnotatedString
import androidx.compose.ui.text.style.TextDecoration
import nand.apps.chat.text.assertEquals
import nand.apps.chat.text.buildMarkdownText
import kotlin.test.Test

class StrikethroughTextTests {

    @Test
    fun `Entirely strikethrough string`() = assertEquals(
        expected = buildAnnotatedString {
            append("Strikethrough text")
            addStyle(SpanStyle(textDecoration = TextDecoration.LineThrough), 0, 18)
        },
        actual = buildMarkdownText("~~Strikethrough text~~"),
    )

    @Test
    fun `Partially strikethrough string`() = assertEquals(
        expected = buildAnnotatedString {
            append("This is some strikethrough text")
            addStyle(SpanStyle(textDecoration = TextDecoration.LineThrough), 13, 26)
        },
        actual = buildMarkdownText("This is some ~~strikethrough~~ text"),
    )
}