package nand.apps.chat.text.markdown

import androidx.compose.ui.text.SpanStyle
import androidx.compose.ui.text.buildAnnotatedString
import androidx.compose.ui.text.style.TextDecoration
import nand.apps.chat.text.assertEquals
import nand.apps.chat.text.buildMarkdownText
import kotlin.test.Test

class UnderlinedTextTests {

    @Test
    fun `Entirely underlined string`() = assertEquals(
        expected = buildAnnotatedString {
            append("Underlined text")
            addStyle(SpanStyle(textDecoration = TextDecoration.Underline), 0, 15)
        },
        actual = buildMarkdownText("__Underlined text__"),
    )

    @Test
    fun `Partially underlined string`() = assertEquals(
        expected = buildAnnotatedString {
            append("This is some underlined text")
            addStyle(SpanStyle(textDecoration = TextDecoration.Underline), 13, 23)
        },
        actual = buildMarkdownText("This is some __underlined__ text"),
    )

    @Test
    fun `Empty tag content is ignored`() = assertEquals(
        expected = buildAnnotatedString {
            append("testtest__")
            addStyle(SpanStyle(textDecoration = TextDecoration.Underline), 0, 4)
        },
        actual = buildMarkdownText("__test__test__"),
    )
}