package nand.apps.chat.text.message

import androidx.compose.ui.text.SpanStyle
import androidx.compose.ui.text.buildAnnotatedString
import androidx.compose.ui.unit.sp
import nand.apps.chat.text.assertEquals
import nand.apps.chat.text.parseStyleTags
import kotlin.test.Test

class StyleTagTests {

    @Test
    fun `Overlapping style tags`() = assertEquals(
        expected = buildAnnotatedString {
            append("This text uses 2 different styles")
            addStyle(SpanStyle(fontSize = 10.sp), 15, 33)
            addStyle(SpanStyle(fontSize = 18.sp), 17, 26)
        },
        actual = parseStyleTags("This text uses \$tiny\$2 \$big\$different\$end\$ styles"),
    )
}