package demo

import androidx.compose.foundation.layout.*
import androidx.compose.material.CircularProgressIndicator
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import androidx.compose.ui.window.Window
import androidx.compose.ui.window.WindowPosition
import androidx.compose.ui.window.application
import androidx.compose.ui.window.rememberWindowState
import nand.apps.chat.ui.spinner.ChasingDots
import nand.apps.chat.ui.spinner.CubeGrid
import nand.apps.chat.ui.theme.ChatTheme
import nand.apps.chat.ui.theme.ChatThemeSurface

fun main() = application {
    val windowState = rememberWindowState(
        width = 400.dp,
        height = 400.dp,
        position = WindowPosition(Alignment.Center),
    )
    Window(
        title = "Spinner Preview",
        onCloseRequest = ::exitApplication,
        state = windowState,
    ) {
        ChatThemeSurface {
            Column(
                verticalArrangement = Arrangement.spacedBy(ChatTheme.dimens.spacingMedium),
                modifier = Modifier.align(Alignment.Center),
            ) {
                CircularProgressIndicator()
                ChasingDots()
                CubeGrid()
            }
        }
    }
}