package demo

import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import androidx.compose.ui.window.Window
import androidx.compose.ui.window.WindowPosition
import androidx.compose.ui.window.application
import androidx.compose.ui.window.rememberWindowState
import nand.apps.chat.ui.theme.*

fun main() = application {
    val windowState = rememberWindowState(
        width = 1280.dp,
        height = 720.dp,
        position = WindowPosition(Alignment.Center),
    )
    Window(
        title = "Theme Preview",
        onCloseRequest = ::exitApplication,
        state = windowState,
    ) {
        Row(
            modifier = Modifier.fillMaxSize(),
        ) {
            ChatTheme(colors = DarkChatColors) {
                ThemePreview(
                    modifier = Modifier.weight(1f),
                )
            }
            ChatTheme(colors = LightChatColors) {
                ThemePreview(
                    modifier = Modifier.weight(1f),
                )
            }
        }
    }
}