package nand.apps.chat.audio

import javax.sound.sampled.AudioFormat

const val DEFAULT_BITS_PER_SAMPLE = 16
const val SAMPLE_RANGE = Short.MAX_VALUE.toDouble()

// TODO - Support alternate configurations
abstract class DesktopAudioLine(
    protected val sampleRate: Int = DEFAULT_AUDIO_SAMPLE_RATE,
    protected val channels: Int = DEFAULT_AUDIO_CHANNELS,
    protected val bitsPerSample: Int = DEFAULT_BITS_PER_SAMPLE,
) : Runnable {

    protected var isRunning = false
    protected val audioFormat = AudioFormat(sampleRate.toFloat(), bitsPerSample, channels, true, false)
}
