package nand.apps.chat.audio.opus

import kotlinx.coroutines.Job
import nand.apps.chat.audio.AudioHandle
import nand.apps.opus.OpusFileReader

class OpusAudioHandle(
    private val file: OpusFileReader,
    private val job: Job,
    override val duration: Double,
) : AudioHandle {

    override val timestamp get() = file.timestamp

    override fun seekTo(timestamp: Double): Boolean {
        return file.seekTo(timestamp)
    }
    
    fun stop() {
        file.close()
        job.cancel()
    }
}