package nand.apps.chat.image

import androidx.compose.ui.unit.IntRect
import coil3.Image
import coil3.toBitmap
import org.jetbrains.skia.ColorAlphaType
import org.jetbrains.skia.ColorType
import org.jetbrains.skia.ImageInfo

class SkiaPixelReader : ImagePixelReader {

    override fun readPixels(image: Image, rect: IntRect): ByteArray? {
        return image.toBitmap().readPixels(
            srcX = rect.left,
            srcY = rect.top,
            dstInfo = ImageInfo(
                width = rect.width,
                height = rect.height,
                colorType = ColorType.RGBA_8888,
                alphaType = ColorAlphaType.PREMUL,
            ),
            dstRowBytes = rect.width * 4,
        )
    }
}