package nand.apps.chat.log

import nand.apps.chat.BuildConfig.APP_DIR_NAME
import nand.apps.chat.time.currentTimeMillis
import net.harawata.appdirs.AppDirsFactory
import java.io.File

fun logCrash(error: Throwable) {
    error.printStackTrace()
    try {
        val configPath = AppDirsFactory.getInstance().getUserDataDir(APP_DIR_NAME, null, null)
        val logDir = File(configPath, "crashes")
        if (!logDir.exists() && !logDir.mkdirs()) return
        val logFile = File(logDir, "crash-${currentTimeMillis()}.txt")
        logFile.writeText(error.stackTraceToString())
    } catch (ignore: Exception) {
        // Don't need to cause an infinite loop
    }
}