package nand.apps.chat.model.settings.theme

import org.jetbrains.skiko.SystemTheme
import org.jetbrains.skiko.currentSystemTheme

actual fun getDefaultChatTheme(): ChatThemeSetting {
    val systemTheme = try {
        currentSystemTheme
    } catch (ignore: Throwable) {
        SystemTheme.UNKNOWN
    }
    return when (systemTheme) {
        SystemTheme.UNKNOWN -> ChatThemeSetting.DARK
        else -> ChatThemeSetting.SYSTEM
    }
}