package nand.apps.chat.monitor

import androidx.compose.runtime.*
import kotlinx.coroutines.delay
import org.koin.compose.getKoin
import java.awt.MouseInfo
import java.awt.Point

private const val MOUSE_POLL_INTERVAL = 1000L

@Composable
fun DesktopUserActivityMonitor() {
    val autoAwayMonitor: AutoAwayMonitor by getKoin().inject()
    var lastMousePos by remember { mutableStateOf(getMousePosition()) }
    LaunchedEffect(Unit) {
        while (true) {
            val mousePos = getMousePosition()
            if (mousePos != lastMousePos) {
                autoAwayMonitor.onUserActivity()
                lastMousePos = mousePos
            }
            delay(MOUSE_POLL_INTERVAL)
        }
    }
}

private fun getMousePosition(): Point? = MouseInfo.getPointerInfo().location