package nand.apps.chat.text

import okio.Path
import okio.Path.Companion.toOkioPath
import java.awt.Toolkit
import java.awt.datatransfer.DataFlavor
import java.io.File

actual fun getClipboardFilePath(): Path? {
    return try {
        val clipboard = Toolkit.getDefaultToolkit().systemClipboard
        val files = clipboard.getData(DataFlavor.javaFileListFlavor) as? List<*> ?: return null
        return (files.first() as? File)?.toOkioPath()
    } catch (ignore: Exception) {
        null
    }
}