package nand.apps.chat.ui.provider

import androidx.compose.runtime.Composable
import java.awt.GraphicsEnvironment

@Composable
actual fun isPortraitMode(width: Int, height: Int): Boolean {
    val screenDevice = GraphicsEnvironment.getLocalGraphicsEnvironment().defaultScreenDevice
    val screenHeight = screenDevice.defaultConfiguration.bounds.height
    val aspectRatio = width.toFloat() / height
    val maxWidth = screenHeight / 2.5
    return aspectRatio < 1f && width <= maxWidth
}