package nand.apps.chat.ui.tooltip

import androidx.compose.foundation.ExperimentalFoundationApi
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.foundation.TooltipArea as CoreTooltip

@OptIn(ExperimentalFoundationApi::class)
@Composable
actual fun TooltipArea(
    tooltip: @Composable () -> Unit,
    modifier: Modifier,
    delayMillis: Int,
    isEnabled: Boolean,
    content: @Composable () -> Unit,
) {
    if (isEnabled) {
        CoreTooltip(
            tooltip = tooltip,
            delayMillis = delayMillis,
            content = content,
            modifier = modifier,
        )
    } else {
        content()
    }
}