package nand.apps.chat.ui.window

import java.awt.KeyboardFocusManager
import java.beans.PropertyChangeListener

class WindowFocusListener(
    private val onWindowFocusChanged: (Boolean) -> Unit,
) {

    private val focusManager = KeyboardFocusManager.getCurrentKeyboardFocusManager()
    private val listener: PropertyChangeListener = PropertyChangeListener {
        when (it.propertyName) {
            "activeWindow" -> onWindowFocusChanged(it.newValue != null)
        }
    }

    init {
        focusManager.addPropertyChangeListener(listener)
    }

    fun dispose() {
        focusManager.removePropertyChangeListener(listener)
    }
}