package nand.apps.chat.ui.window

import androidx.compose.runtime.*
import androidx.compose.ui.graphics.painter.Painter
import kotlinx.coroutines.delay
import org.jetbrains.compose.resources.painterResource
import seers.composeapp.generated.resources.*

@Composable
fun windowIconPainter(
    hasUnreadMessages: Boolean,
): Painter {
    var isHighlighted by remember { mutableStateOf(false) }
    LaunchedEffect(hasUnreadMessages) {
        while (hasUnreadMessages) {
            isHighlighted = !isHighlighted
            delay(1000)
        }
        isHighlighted = false
    }
    return when (isHighlighted) {
        true -> painterResource(Res.drawable.ic_seers_highlighted)
        false -> painterResource(Res.drawable.ic_seers)
    }
}