package nand.apps.chat.image

import androidx.compose.ui.graphics.ImageBitmap
import androidx.compose.ui.graphics.toComposeImageBitmap
import org.jetbrains.skia.ColorAlphaType
import org.jetbrains.skia.ColorType
import org.jetbrains.skia.Image
import org.jetbrains.skia.ImageInfo

actual fun SimpleBitmap.toComposeBitmap(): ImageBitmap {
    return Image.makeRaster(
        imageInfo = ImageInfo(
            width = width,
            height = height,
            colorType = ColorType.RGBA_8888,
            alphaType = ColorAlphaType.PREMUL,
        ),
        bytes = pixels,
        rowBytes = width * 4,
    ).toComposeImageBitmap()
}

actual fun SimpleBitmap.toPngByteArray(): ByteArray {
    TODO("Not yet implemented")
}

actual fun SimpleBitmap.toJpegByteArray(quality: Float): ByteArray {
    TODO("Not yet implemented")
}