package nand.apps.chat.io

import kotlinx.cinterop.ExperimentalForeignApi
import okio.Path
import okio.Path.Companion.toPath
import platform.Foundation.*

class IOSFilePaths : ChatFilePaths {

    override val roots = emptySet<Path>()
    override val userDataPath = NSDocumentDirectory.toPath()
    override val cachePath = NSCachesDirectory.toPath()
    override val configPath = userDataPath
    override val toxPath = userDataPath
    override val homePath = NSDesktopDirectory.toPath()
    override val documentPath = userDataPath
    override val downloadPath = NSDownloadsDirectory.toPath()
    override val picturesPath = NSPicturesDirectory.toPath()
    override val videosPath = NSMoviesDirectory.toPath()
    override val musicPath = NSMusicDirectory.toPath()

    override fun init() {
        // Nothing to do here
    }
    
    @OptIn(ExperimentalForeignApi::class)
    private fun NSSearchPathDirectory.toPath() = NSFileManager.defaultManager.URLForDirectory(
        directory = this,
        appropriateForURL = null,
        create = false,
        inDomain = NSUserDomainMask,
        error = null
    )!!.relativePath!!.toPath()
}