package nand.apps.chat.log

class IOSAppLogger(private val tag: String) : AppLogger {

    override fun verbose(message: String) {
        println("[$tag] $message")
    }
    
    override fun debug(message: String) {
        println("[$tag] $message")
    }

    override fun warn(message: String, exception: Exception?) =
        error(message, exception)
    
    override fun error(message: String, exception: Exception?) {
        println("[$tag] $message")
        exception?.printStackTrace()
    }
}

actual fun getAppLogger(tag: String): AppLogger = IOSAppLogger(tag)