package nand.apps.chat.ui.event

import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import nand.apps.chat.event.ChatEventHandler
import org.koin.compose.getKoin

@Composable
fun AppEventHandler(
    onLoginState: (Boolean) -> Unit,
) {
    val eventHandler: ChatEventHandler by getKoin().inject()
    LaunchedEffect(Unit) {
        eventHandler.onEvent.collect { event ->
            when (event) {
                is LoginCompleteEvent -> onLoginState(true)
                is LogoutEvent -> onLoginState(false)
                else -> Unit
            }
        }
    }
}