# Chat Styles & Effects

### Do YOU want to make your chat messages POP? 💥

## Do YOU want to be the "Life of the Party?" 🎉

![party](images/chicken.gif) ![party](images/guitar.gif) ![party](images/monkey.gif)

### Look no further! This guide will teach YOU to be a chat MASTER 👑

![anime](images/anime.gif)

## Text Styles

You can _stylize_ 💅 your chat messages by adding special "tags" with surrounding dollar signs.

For example: `This text is $str$crossed out` = This text is ~~crossed out~~

Here are the main style tags:

| Tag    | Description        |
|--------|--------------------|
| `str`  | Strikethrough text |
| `und`  | Underlined text    |
| `bold` | Bolded text        |
| `ita`  | Italic text        |
| `tiny` | Tiny font          |
| `big`  | Large font         |
| `mono` | Monospace font     | 
| `ser`  | Serif font         |
| `sub`  | Subscript          |
| `sup`  | Superscript        |

You can also end the text style using the tag `$end$`. Pretty cool, huh?

![feel](images/feel.gif)

### Text Colors

There are many colors to choose from! 🌈 🤩

| Tag    | Color                  |
|--------|------------------------|
| `red`  | ![red](colors/red.png) |
| `gre`  | ![gre](colors/gre.png) |
| `blu`  | ![blu](colors/blu.png) |
| `yel`  | ![yel](colors/yel.png) |
| `cya`  | ![cya](colors/cya.png) |
| `mag`  | ![mag](colors/mag.png) |
| `ora`  | ![ora](colors/ora.png) |
| `sea`  | ![sea](colors/sea.png) |
| `azu`  | ![azu](colors/azu.png) |
| `ind`  | ![ind](colors/ind.png) |
| `vio`  | ![vio](colors/vio.png) |
| `pnk`  | ![pnk](colors/pnk.png) |
| `sal`  | ![sal](colors/sal.png) |
| `but`  | ![but](colors/but.png) |
| `dre`  | ![dre](colors/dre.png) |
| `dgr`  | ![dgr](colors/dgr.png) |
| `dbl`  | ![dbl](colors/dbl.png) |
| `hide` | Invisible              |

### Unicode Fonts

These are "fonts" that are made up of special unicode characters.

| Tag    | Font name                 |
|--------|---------------------------|
| `fra`  | 𝔉𝔯𝔞𝔨𝔱𝔲𝔯            |
| `frab` | 𝕱𝖗𝖆𝖐𝖙𝖚𝖗 𝕭𝖔𝖑𝖉   |
| `cur`  | 𝒞𝓊𝓇𝓈𝒾𝓋𝑒            |
| `cur2` | 𝓒𝓾𝓻𝓼𝓲𝓿𝓮 𝓐𝓵𝓽     |
| `dbs`  | 𝔻𝕠𝕦𝕓𝕝𝕖-𝕤𝕥𝕣𝕦𝕔𝕜 |
| `cir`  | Ⓒⓘⓡⓒⓛⓔⓢ                   |
| `ciri` | 🅒🅘🅡🅒🅛🅔🅢            |
| `sqr`  | 🅂🅀🅄🄰🅁🄴🅂            |
| `sqri` | 🆂🆀🆄🅰🆁🅴🆂            |
| `par`  | 🄟⒜⒭⒠⒩⒯⒣⒠⒮⒠⒮              |
| `fw`   | Ｆｕｌｌｗｉｄｔｈ                 |
| `scap` | Sᴍᴀʟʟᴄᴀᴘs                 |
| `cjk`  | 亡丿ズ                       |
| `food` | 🍟🫒🫒🍩                  |

## Text Effects

Styles are cool and all, but did you know you can also make your text do wHaCkY effects?

These effects can be used by typing commands that start with a slash before the rest of your message.

For example: `/flip This text is flipped`

| Command    | Effect                   |
|------------|--------------------------|
| `/fade`    | Fade text in and out     |
| `/alert`   | Faster fade in and out   |
| `/blur`    | Blurred text             |
| `/zoom`    | Zoom text in and out     |
| `/bounce`  | Bounce text horizontally |
| `/shake`   | Shake text vertically    | 
| `/reverse` | Flip text horizontally   |
| `/flip`    | Flip text vertically     |
| `/spoiler` | Hide text for spoilers   |
| `/me`      | Self action message      |

In addition to these text effect commands there are also a few regular commands that affect your message.

| Command    | Effect                     |
|------------|----------------------------|
| `/qrcode`  | Convert message to QR code |
| `/noembed` | Disable URL embeds         |
| `/nostyle` | Disable text styles        |