# Installation

### The latest installers can be found [here](https://gitlab.com/nand-apps/seers-lodge/-/releases/permalink/latest).

## Linux

Download and run `SeersLodge-<version>_amd64.deb`. This will install the app to `/opt/seers-lodge` and add it to your apps menu (usually).

You can also directly run the binary:

```shell
/opt/seers-lodge/bin/Seers\ Lodge
```

If run in a terminal this will display useful debug information which may help diagnose issues.

App data directories:
- `~/.local/share/seers-lodge/` - Profile data (encrypted) and crash logs
- `~/.config/seers-lodge/` - Global settings
- `~/.cache/seers-lodge/` - Avatars (encrypted) and temporary file cache

## macOS

Depending on the CPU your Mac uses, download and install either of the following packages:
- **Apple** (newer) - `SeersLodge-<version>_arm64.dmg`
- **Intel** (older) - `SeersLodge-<version>_amd64.dmg`

App data directories:
- `/Library/Application Support/seers-lodge` - Profile data (encrypted), global settings, and crash logs
- `/Library/Caches/seers-lodge` - Avatars (encrypted) and temporary file cache

## Windows

Download and run `SeersLodge-<version>_amd64.msi` and complete the very fancy and exciting installation wizard. 🪄

App data directories:
- `%localappdata%\seers-lodge` - Profile data (encrypted), global settings, and crash logs
- `%localappdata%\Cache\seers-lodge` - Avatars (encrypted) and temporary file cache

## Android

The easiest way to get the app is from [F-Droid](https://f-droid.org/packages/chat.seers.app/), an open-source app store.

You can also download the APK directly from Gitlab [here](https://gitlab.com/nand-apps/seers-lodge/-/releases/permalink/latest).
Android may complain that you're attempting to install from an untrusted source. You will need to allow installation from
your file manager in Settings if you want to install the app from an APK file.

A service called "Play Protect" might complain too. You can disable this popup in the Play Store settings.

Play Store support coming soon!

# Troubleshooting

## Linux

> Sound doesn't work!

If you aren't hearing any sound (such as call audio) you may need to install PulseAudio.
For whatever reason ALSA alone doesn't cut the mustard for Java.

> URLs and/or files won't open when I click them!

I'm not entirely sure for this one. You may need to install some `libgnome` dependencies, since that's what Java uses
for URI handling on certain systems. If all else fails the app will attempt to find some commonly used web and file
browsers and use those directly. In this case it will attempt to open the following browsers (respectively):

Web browser fallbacks:
- Firefox
- Chromium
- Opera
- Brave
- Vivaldi
- Konqueror (lol)

File browser fallbacks:
- Dolphin
- Caja
- Nemo
- Nautilus
- Spacefm

If that still doesn't work [report an issue](https://gitlab.com/nand-apps/seers-lodge/-/issues).

> The chat widget and notifications have a gray bar above them sometimes?

This will happen if you use Compiz. Don't do this.

